import unicodedata

tests = {
    "bidirs": {
        "BN": "0000",
        "S": "0009",
        "B": "000A",
        "WS": "000C",
        "ON": "0021",
        "ET": "0023",
        "ES": "002B",
        "CS": "002C",
        "EN": "0030",
        "L": "0041",
        "NSM": "0300",
        "R": "05BE",
        "AN": "0600",
        "AL": "0608",
        "LRE": "202A",
        "RLE": "202B",
        "PDF": "202C",
        "LRO": "202D",
        "RLO": "202E",
        "LRI": "2066",
        "RLI": "2067",
        "FSI": "2068",
        "PDI": "2069"
    },
    "categories": {
        "Cc": "0000",
        "Zs": "0020",
        "Po": "0021",
        "Sc": "0024",
        "Ps": "0028",
        "Pe": "0029",
        "Sm": "002B",
        "Pd": "002D",
        "Nd": "0030",
        "Lu": "0041",
        "Sk": "005E",
        "Pc": "005F",
        "Ll": "0061",
        "So": "00A6",
        "Lo": "00AA",
        "Pi": "00AB",
        "Cf": "00AD",
        "No": "00B2",
        "Pf": "00BB",
        "Lt": "01C5",
        "Lm": "02B0",
        "Mn": "0300",
        "Me": "0488",
        "Mc": "0903",
        "Nl": "16EE",
        "Zl": "2028",
        "Zp": "2029",
        "Cs": "D800",
        "Co": "E000"
    },
    "combinings": {
        "0": "0000",
        "230": "0300",
        "232": "0315",
        "220": "0316",
        "216": "031B",
        "202": "0321",
        "1": "0334",
        "240": "0345",
        "233": "035C",
        "234": "035D",
        "222": "059A",
        "228": "05AE",
        "10": "05B0",
        "11": "05B1",
        "12": "05B2",
        "13": "05B3",
        "14": "05B4",
        "15": "05B5",
        "16": "05B6",
        "17": "05B7",
        "18": "05B8",
        "19": "05B9",
        "20": "05BB",
        "21": "05BC",
        "22": "05BD",
        "23": "05BF",
        "24": "05C1",
        "25": "05C2",
        "30": "0618",
        "31": "0619",
        "32": "061A",
        "27": "064B",
        "28": "064C",
        "29": "064D",
        "33": "0651",
        "34": "0652",
        "35": "0670",
        "36": "0711",
        "7": "093C",
        "9": "094D",
        "84": "0C55",
        "91": "0C56",
        "103": "0E38",
        "107": "0E48",
        "118": "0EB8",
        "122": "0EC8",
        "129": "0F71",
        "130": "0F72",
        "132": "0F74",
        "214": "1DCE",
        "218": "302A",
        "224": "302E",
        "8": "3099",
        "26": "FB1E",
        "6": "16FF0",
        "226": "1D16D"
    },
    "decimals": {
        "": "0000",
        "0": "0030",
        "1": "0031",
        "2": "0032",
        "3": "0033",
        "4": "0034",
        "5": "0035",
        "6": "0036",
        "7": "0037",
        "8": "0038",
        "9": "0039"
    },
    "decompositions": {
        "": "0000",
        "<noBreak> 0020": "00A0",
        "<compat> 0020 0308": "00A8",
        "<super> 0061": "00AA",
        "<compat> 0020 0304": "00AF",
        "<super> 0032": "00B2",
        "<super> 0033": "00B3",
        "<compat> 0020 0301": "00B4",
        "<compat> 03BC": "00B5",
        "<compat> 0020 0327": "00B8",
        "<super> 0031": "00B9",
        "<super> 006F": "00BA",
        "<fraction> 0031 2044 0034": "00BC",
        "<fraction> 0031 2044 0032": "00BD",
        "<fraction> 0033 2044 0034": "00BE",
        "0041 0300": "00C0",
        "0041 0301": "00C1",
        "0041 0302": "00C2",
        "0041 0303": "00C3",
        "0041 0308": "00C4",
        "0041 030A": "00C5",
        "0043 0327": "00C7",
        "0045 0300": "00C8",
        "0045 0301": "00C9",
        "0045 0302": "00CA",
        "0045 0308": "00CB",
        "0049 0300": "00CC",
        "0049 0301": "00CD",
        "0049 0302": "00CE",
        "0049 0308": "00CF",
        "004E 0303": "00D1",
        "004F 0300": "00D2",
        "004F 0301": "00D3",
        "004F 0302": "00D4",
        "004F 0303": "00D5",
        "004F 0308": "00D6",
        "0055 0300": "00D9",
        "0055 0301": "00DA",
        "0055 0302": "00DB",
        "0055 0308": "00DC",
        "0059 0301": "00DD",
        "0061 0300": "00E0",
        "0061 0301": "00E1",
        "0061 0302": "00E2",
        "0061 0303": "00E3",
        "0061 0308": "00E4",
        "0061 030A": "00E5",
        "0063 0327": "00E7",
        "0065 0300": "00E8",
        "0065 0301": "00E9",
        "0065 0302": "00EA",
        "0065 0308": "00EB",
        "0069 0300": "00EC",
        "0069 0301": "00ED",
        "0069 0302": "00EE",
        "0069 0308": "00EF",
        "006E 0303": "00F1",
        "006F 0300": "00F2",
        "006F 0301": "00F3",
        "006F 0302": "00F4",
        "006F 0303": "00F5",
        "006F 0308": "00F6",
        "0075 0300": "00F9",
        "0075 0301": "00FA",
        "0075 0302": "00FB",
        "0075 0308": "00FC",
        "0079 0301": "00FD",
        "0079 0308": "00FF",
        "0041 0304": "0100",
        "0061 0304": "0101",
        "0041 0306": "0102",
        "0061 0306": "0103",
        "0041 0328": "0104",
        "0061 0328": "0105",
        "0043 0301": "0106",
        "0063 0301": "0107",
        "0043 0302": "0108",
        "0063 0302": "0109",
        "0043 0307": "010A",
        "0063 0307": "010B",
        "0043 030C": "010C",
        "0063 030C": "010D",
        "0044 030C": "010E",
        "0064 030C": "010F",
        "0045 0304": "0112",
        "0065 0304": "0113",
        "0045 0306": "0114",
        "0065 0306": "0115",
        "0045 0307": "0116",
        "0065 0307": "0117",
        "0045 0328": "0118",
        "0065 0328": "0119",
        "0045 030C": "011A",
        "0065 030C": "011B",
        "0047 0302": "011C",
        "0067 0302": "011D",
        "0047 0306": "011E",
        "0067 0306": "011F",
        "0047 0307": "0120",
        "0067 0307": "0121"
    },
    "digits": {
        "": "0000",
        "0": "0030",
        "1": "0031",
        "2": "0032",
        "3": "0033",
        "4": "0034",
        "5": "0035",
        "6": "0036",
        "7": "0037",
        "8": "0038",
        "9": "0039"
    },
    "names": {
        "QUOTATION MARK": "0022",
        "COMMA": "002C",
        "LATIN CAPITAL LETTER C": "0043",
        "LATIN CAPITAL LETTER D": "0044",
        "LATIN CAPITAL LETTER Q": "0051",
        "LATIN CAPITAL LETTER U": "0055",
        "LATIN CAPITAL LETTER W": "0057",
        "RIGHT SQUARE BRACKET": "005D",
        "LATIN SMALL LETTER F": "0066",
        "LATIN SMALL LETTER H": "0068",
        "<control>": "0088",
        "NO-BREAK SPACE": "00A0",
        "DIAERESIS": "00A8",
        "LATIN CAPITAL LETTER E WITH CIRCUMFLEX": "00CA",
        "LATIN CAPITAL LETTER I WITH CIRCUMFLEX": "00CE",
        "LATIN CAPITAL LETTER O WITH DIAERESIS": "00D6",
        "LATIN CAPITAL LETTER THORN": "00DE",
        "LATIN SMALL LETTER O WITH CIRCUMFLEX": "00F4",
        "LATIN SMALL LETTER Y WITH DIAERESIS": "00FF",
        "LATIN CAPITAL LETTER C WITH DOT ABOVE": "010A",
        "LATIN CAPITAL LETTER E WITH CARON": "011A",
        "LATIN SMALL LIGATURE IJ": "0133",
        "LATIN CAPITAL LETTER K WITH CEDILLA": "0136",
        "LATIN CAPITAL LETTER S WITH CIRCUMFLEX": "015C",
        "LATIN SMALL LETTER O WITH OGONEK AND MACRON": "01ED",
        "LATIN SMALL LETTER E WITH INVERTED BREVE": "0207",
        "LATIN SMALL LETTER O WITH DOUBLE GRAVE": "020D",
        "LATIN CAPITAL LETTER O WITH INVERTED BREVE": "020E",
        "LATIN SMALL LETTER H WITH CARON": "021F",
        "LATIN CAPITAL LETTER O WITH DOT ABOVE": "022E",
        "LATIN CAPITAL LETTER O WITH DOT ABOVE AND MACRON": "0230",
        "LATIN CAPITAL LETTER Y WITH MACRON": "0232",
        "LATIN CAPITAL LETTER GLOTTAL STOP": "0241",
        "LATIN SMALL LETTER D WITH HOOK": "0257",
        "LATIN SMALL LETTER SQUAT REVERSED ESH": "0285",
        "MODIFIER LETTER SMALL CAPITAL INVERTED R": "02B6",
        "MODIFIER LETTER LEFT HALF RING": "02BF",
        "SMALL TILDE": "02DC",
        "MODIFIER LETTER VOICING": "02EC",
        "COMBINING GRAVE ACCENT": "0300",
        "COMBINING LEFT ANGLE ABOVE": "031A",
        "COMBINING MACRON BELOW": "0331",
        "COMBINING LEFT RIGHT ARROW BELOW": "034D",
        "COMBINING LATIN SMALL LETTER C": "0368",
        "GREEK NUMERAL SIGN": "0374",
        "GREEK SMALL LETTER PAMPHYLIAN DIGAMMA": "0377",
        "GREEK CAPITAL LETTER PHI": "03A6",
        "GREEK SMALL LETTER GAMMA": "03B3",
        "GREEK SMALL LETTER PI": "03C0",
        "GREEK SMALL LETTER KOPPA": "03DF",
        "COPTIC CAPITAL LETTER HORI": "03E8",
        "CYRILLIC CAPITAL LETTER TE": "0422",
        "CYRILLIC CAPITAL LETTER YA": "042F",
        "CYRILLIC SMALL LETTER BE": "0431",
        "CYRILLIC SMALL LETTER YU": "044E",
        "CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I": "0456",
        "CYRILLIC CAPITAL LETTER LITTLE YUS": "0466",
        "CYRILLIC SMALL LETTER ER WITH TICK": "048F",
        "CYRILLIC CAPITAL LETTER ABKHASIAN CHE": "04BC",
        "CYRILLIC SMALL LETTER ZHE WITH BREVE": "04C2",
        "CYRILLIC CAPITAL LETTER EM WITH TAIL": "04CD",
        "CYRILLIC SMALL LETTER I WITH MACRON": "04E3",
        "CYRILLIC CAPITAL LETTER E WITH DIAERESIS": "04EC",
        "CYRILLIC SMALL LETTER PE WITH DESCENDER": "0525",
        "ARMENIAN CAPITAL LETTER EH": "0537",
        "ARMENIAN CAPITAL LETTER LIWN": "053C",
        "ARMENIAN CAPITAL LETTER VO": "0548",
        "ARMENIAN CAPITAL LETTER RA": "054C",
        "ARMENIAN CAPITAL LETTER REH": "0550",
        "ARMENIAN CAPITAL LETTER FEH": "0556",
        "ARMENIAN SMALL LETTER ZA": "0566",
        "ARMENIAN SMALL LETTER MEN": "0574",
        "ARMENIAN HYPHEN": "058A",
        "RIGHT-FACING ARMENIAN ETERNITY SIGN": "058D",
        "ARMENIAN DRAM SIGN": "058F",
        "HEBREW ACCENT ZAQEF GADOL": "0595",
        "HEBREW ACCENT MERKHA KEFULA": "05A6",
        "HEBREW POINT HATAF QAMATS": "05B3",
        "HEBREW PUNCTUATION SOF PASUQ": "05C3",
        "HEBREW POINT QAMATS QATAN": "05C7",
        "ARABIC-INDIC PER TEN THOUSAND SIGN": "060A",
        "ARABIC SMALL DAMMA": "0619",
        "ARABIC LETTER TAH": "0637",
        "ARABIC LETTER DOTLESS BEH": "066E",
        "ARABIC LETTER ALEF WASLA": "0671",
        "ARABIC LETTER REH WITH SMALL V": "0692",
        "ARABIC LETTER SAD WITH TWO DOTS BELOW": "069D",
        "ARABIC LETTER QAF WITH DOT ABOVE": "06A7",
        "ARABIC LETTER WAW WITH TWO DOTS ABOVE": "06CA",
        "ARABIC END OF AYAH": "06DD",
        "ARABIC SMALL LOW SEEN": "06E3",
        "ARABIC LETTER DAL WITH INVERTED V": "06EE",
        "SYRIAC LETTER NUN": "0722",
        "SYRIAC LETTER QAPH": "0729",
        "SYRIAC DOTTED ZLAMA HORIZONTAL": "0738",
        "SYRIAC LETTER SOGDIAN ZHAIN": "074D",
        "ARABIC LETTER FARSI YEH WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE": "0775",
        "THAANA LETTER ALIFU": "0787",
        "THAANA LETTER VAAVU": "0788",
        "THAANA LETTER ZO": "07A1",
        "THAANA LETTER GHAINU": "07A3",
        "THAANA LETTER QAAFU": "07A4",
        "THAANA LETTER NAA": "07B1",
        "NKO LETTER JONA CHA": "07E9",
        "NKO COMBINING LONG RISING TONE": "07F1",
        "SAMARITAN LETTER TIT": "0808",
        "MANDAIC LETTER AZ": "0846",
        "ARABIC DISPUTED END OF AYAH": "08E2",
        "ARABIC TURNED DAMMA BELOW": "08E3",
        "ARABIC CURLY FATHA": "08E4",
        "DEVANAGARI LETTER NNNA": "0929",
        "DEVANAGARI LETTER BHA": "092D",
        "DEVANAGARI VOWEL SIGN E": "0947",
        "DEVANAGARI VOWEL SIGN CANDRA O": "0949",
        "DEVANAGARI LETTER ZA": "095B",
        "DEVANAGARI ABBREVIATION SIGN": "0970",
        "BENGALI LETTER SSA": "09B7",
        "GURMUKHI LETTER SA": "0A38",
        "GURMUKHI SIGN UDAAT": "0A51",
        "GURMUKHI DIGIT FIVE": "0A6B",
        "GURMUKHI ADDAK": "0A71",
        "GUJARATI LETTER DDA": "0AA1",
        "GUJARATI LETTER LA": "0AB2",
        "GUJARATI DIGIT TWO": "0AE8",
        "GUJARATI DIGIT THREE": "0AE9",
        "ORIYA AI LENGTH MARK": "0B56",
        "ORIYA LETTER RHA": "0B5D",
        "ORIYA DIGIT ZERO": "0B66",
        "ORIYA DIGIT FOUR": "0B6A",
        "ORIYA DIGIT SIX": "0B6C",
        "ORIYA DIGIT SEVEN": "0B6D",
        "TAMIL LETTER E": "0B8E",
        "TAMIL LETTER JA": "0B9C",
        "TAMIL LETTER SSA": "0BB7",
        "TAMIL DIGIT TWO": "0BE8",
        "TAMIL DIGIT FOUR": "0BEA",
        "TELUGU LETTER UU": "0C0A",
        "TELUGU LETTER DDHA": "0C22",
        "TELUGU VOWEL SIGN EE": "0C47",
        "TELUGU AI LENGTH MARK": "0C56",
        "KANNADA LETTER TTHA": "0CA0",
        "KANNADA LETTER NA": "0CA8",
        "KANNADA SIGN AVAGRAHA": "0CBD",
        "KANNADA VOWEL SIGN AU": "0CCC",
        "KANNADA LETTER FA": "0CDE",
        "MALAYALAM LETTER BA": "0D2C",
        "MALAYALAM FRACTION ONE QUARTER": "0D73",
        "SINHALA SIGN CANDRABINDU": "0D81",
        "SINHALA LETTER TAALUJA SAYANNA": "0DC1",
        "SINHALA LETTER HAYANNA": "0DC4",
        "SINHALA LITH DIGIT TWO": "0DE8",
        "THAI CHARACTER CHO CHAN": "0E08",
        "THAI CHARACTER CHO CHOE": "0E0C",
        "THAI CHARACTER THO THUNG": "0E16",
        "THAI CHARACTER FONGMAN": "0E4F",
        "LAO LETTER PALI DDA": "0E91",
        "LAO VOWEL SIGN II": "0EB5",
        "LAO VOWEL SIGN MAI KON": "0EBB",
        "LAO DIGIT FIVE": "0ED5",
        "TIBETAN MARK SHAD": "0F0D",
        "TIBETAN MARK CARET -DZUD RTAGS BZHI MIG CAN": "0F36",
        "TIBETAN SIGN YAR TSHES": "0F3E",
        "TIBETAN LETTER CHA": "0F46",
        "TIBETAN LETTER BHA": "0F57",
        "TIBETAN LETTER FIXED-FORM RA": "0F6A",
        "TIBETAN SIGN SNA LDAN": "0F83",
        "TIBETAN SUBJOINED LETTER TTA": "0F9A",
        "TIBETAN SUBJOINED LETTER TA": "0F9F",
        "TIBETAN SUBJOINED LETTER MA": "0FA8",
        "MYANMAR LETTER O": "1029",
        "MYANMAR LETTER MON JHA": "105B",
        "MYANMAR CONSONANT SIGN MON MEDIAL LA": "1060",
        "MYANMAR LETTER SHAN HA": "1081",
        "GEORGIAN CAPITAL LETTER GAN": "10A2",
        "GEORGIAN CAPITAL LETTER DON": "10A3",
        "GEORGIAN CAPITAL LETTER LAS": "10AA",
        "GEORGIAN CAPITAL LETTER TAR": "10B2",
        "GEORGIAN LETTER ZEN": "10D6",
        "HANGUL CHOSEONG PIEUP-SIOS-PIEUP": "1124",
        "HANGUL CHOSEONG PIEUP-SIOS-CIEUC": "1126",
        "HANGUL CHOSEONG PIEUP-CIEUC": "1127",
        "HANGUL CHOSEONG CEONGCHIEUMCHIEUCH": "1155",
        "HANGUL JUNGSEONG YA": "1163",
        "HANGUL JUNGSEONG O": "1169",
        "HANGUL JUNGSEONG I": "1175",
        "HANGUL JUNGSEONG EU-EU": "1196",
        "HANGUL JONGSEONG RIEUL-MIEUM-SIOS": "11D2",
        "HANGUL JONGSEONG PIEUP-RIEUL": "11E3",
        "HANGUL JONGSEONG SIOS-TIKEUT": "11E8",
        "HANGUL JONGSEONG IEUNG-KIYEOK": "11EC",
        "ETHIOPIC SYLLABLE HAA": "1203",
        "ETHIOPIC SYLLABLE HEE": "1204",
        "ETHIOPIC SYLLABLE SZO": "1226",
        "ETHIOPIC SYLLABLE REE": "122C",
        "ETHIOPIC SYLLABLE SU": "1231",
        "ETHIOPIC SYLLABLE QWE": "124D",
        "ETHIOPIC SYLLABLE QHWE": "125D",
        "ETHIOPIC SYLLABLE BE": "1265",
        "ETHIOPIC SYLLABLE VE": "126D",
        "ETHIOPIC SYLLABLE VWA": "126F",
        "ETHIOPIC SYLLABLE TU": "1271",
        "ETHIOPIC SYLLABLE CEE": "127C",
        "ETHIOPIC SYLLABLE NYO": "129E",
        "ETHIOPIC SYLLABLE GLOTTAL WA": "12A7",
        "ETHIOPIC SYLLABLE KXE": "12BD",
        "ETHIOPIC SYLLABLE KXWE": "12C5",
        "ETHIOPIC SYLLABLE WI": "12CA",
        "ETHIOPIC SYLLABLE ZAA": "12DB",
        "ETHIOPIC SYLLABLE CHA": "1328",
        "ETHIOPIC SYLLABLE TSA": "1338",
        "ETHIOPIC SYLLABLE FEE": "134C",
        "ETHIOPIC COLON": "1365",
        "ETHIOPIC NUMBER TEN": "1372",
        "ETHIOPIC NUMBER TWENTY": "1373",
        "ETHIOPIC SYLLABLE BWI": "1385",
        "ETHIOPIC TONAL MARK SHORT RIKRIK": "1393",
        "ETHIOPIC TONAL MARK KENAT": "1395",
        "CHEROKEE LETTER HV": "13B2",
        "CHEROKEE LETTER NV": "13C5",
        "CANADIAN SYLLABICS IN": "142C",
        "CANADIAN SYLLABICS PO": "1433",
        "CANADIAN SYLLABICS CARRIER HI": "1437",
        "CANADIAN SYLLABICS PWI": "143C",
        "CANADIAN SYLLABICS PWO": "1440",
        "CANADIAN SYLLABICS TAAI": "144D",
        "CANADIAN SYLLABICS CWA": "149C",
        "CANADIAN SYLLABICS MWII": "14B0",
        "CANADIAN SYLLABICS NOO": "14C5",
        "CANADIAN SYLLABICS LOO": "14D8",
        "CANADIAN SYLLABICS SO": "14F1",
        "CANADIAN SYLLABICS WEST-CREE SHWI": "151A",
        "CANADIAN SYLLABICS YWO": "1535",
        "CANADIAN SYLLABICS WEST-CREE YWO": "1536",
        "CANADIAN SYLLABICS Y": "153E",
        "CANADIAN SYLLABICS RAAI": "1545",
        "CANADIAN SYLLABICS RII": "1547",
        "CANADIAN SYLLABICS R": "1550",
        "CANADIAN SYLLABICS WEST-CREE R": "1551",
        "CANADIAN SYLLABICS TTH": "156F",
        "CANADIAN SYLLABICS NUNAVIK HI": "1575",
        "CANADIAN SYLLABICS HK": "157D",
        "CANADIAN SYLLABICS QAA": "1584",
        "CANADIAN SYLLABICS CARRIER GHA": "15C9",
        "CANADIAN SYLLABICS CARRIER WU": "15D0",
        "CANADIAN SYLLABICS CARRIER WE": "15D2",
        "CANADIAN SYLLABICS CARRIER HWO": "15D7",
        "CANADIAN SYLLABICS CARRIER KHA": "15FA",
        "CANADIAN SYLLABICS CARRIER KKO": "15FC",
        "CANADIAN SYLLABICS CARRIER YU": "160E",
        "CANADIAN SYLLABICS SAYISI JI": "161A",
        "CANADIAN SYLLABICS CARRIER LU": "1622",
        "CANADIAN SYLLABICS CARRIER LHE": "1630",
        "CANADIAN SYLLABICS CARRIER LHI": "1632",
        "CANADIAN SYLLABICS CARRIER SHEE": "1657",
        "CANADIAN SYLLABICS CARRIER SHI": "1658",
        "CANADIAN SYLLABICS CARRIER TSO": "165C",
        "CANADIAN SYLLABICS CARRIER TSA": "1660",
        "OGHAM LETTER UILLEANN": "1697",
        "RUNIC LETTER OS O": "16A9",
        "RUNIC LETTER NAUDIZ NYD NAUD N": "16BE",
        "RUNIC LETTER IWAZ EOH": "16C7",
        "RUNIC LETTER ALGIZ EOLHX": "16C9",
        "RUNIC LETTER EAR": "16E0",
        "RUNIC SINGLE PUNCTUATION": "16EB",
        "RUNIC LETTER K": "16F1",
        "TAGALOG LETTER I": "1701",
        "HANUNOO SIGN PAMUDPOD": "1734",
        "BUHID LETTER DA": "1747",
        "TAGBANWA LETTER WA": "176F",
        "KHMER LETTER HA": "17A0",
        "KHMER VOWEL SIGN U": "17BB",
        "KHMER VOWEL SIGN AU": "17C5",
        "KHMER DIGIT SEVEN": "17E7",
        "MONGOLIAN DIGIT ZERO": "1810",
        "MONGOLIAN LETTER UE": "1826",
        "MONGOLIAN LETTER TODO LONG VOWEL SIGN": "1843",
        "MONGOLIAN LETTER TODO OE": "1848",
        "MONGOLIAN LETTER TODO CHA": "1852",
        "MONGOLIAN LETTER SIBE IY": "185F",
        "CANADIAN SYLLABICS OY": "18B0",
        "CANADIAN SYLLABICS PAY": "18B5",
        "CANADIAN SYLLABICS R-CREE RWE": "18E0",
        "CANADIAN SYLLABICS SAYISI SHWE": "18EA",
        "CANADIAN SYLLABICS BEAVER DENE L": "18F3",
        "LIMBU LETTER KA": "1901",
        "LIMBU LETTER BA": "1912",
        "LIMBU LETTER SA": "191B",
        "LIMBU LETTER TRA": "191E",
        "LIMBU VOWEL SIGN A": "1920",
        "LIMBU DIGIT SEVEN": "194D",
        "NEW TAI LUE LETTER LOW SA": "198C",
        "NEW TAI LUE LETTER HIGH DA": "19A1",
        "NEW TAI LUE LETTER FINAL N": "19C3",
        "TAI THAM LETTER HIGH CHA": "1A28",
        "TAI THAM CONSONANT SIGN MEDIAL RA": "1A55",
        "TAI THAM CONSONANT SIGN SA": "1A5E",
        "TAI THAM VOWEL SIGN AI": "1A71",
        "TAI THAM SIGN TONE-2": "1A76",
        "COMBINING DOUBLED CIRCUMFLEX ACCENT": "1AB0",
        "COMBINING TRIPLE DOT": "1AB4",
        "BALINESE LETTER EKARA": "1B0F",
        "BALINESE LETTER YA": "1B2C",
        "BALINESE LETTER WA": "1B2F",
        "BALINESE MUSICAL SYMBOL COMBINING KEMPUL WITH JEGOGAN": "1B70",
        "SUNDANESE LETTER KA": "1B8A",
        "SUNDANESE LETTER REU": "1BBB",
        "BATAK LETTER HA": "1BC2",
        "LEPCHA LETTER TA": "1C0A",
        "LEPCHA LETTER PA": "1C0E",
        "LEPCHA LETTER HA": "1C1D",
        "LEPCHA SIGN NUKTA": "1C37",
        "OL CHIKI DIGIT SIX": "1C56",
        "OL CHIKI LETTER AAK": "1C60",
        "OL CHIKI LETTER UC": "1C6A",
        "OL CHIKI LETTER EDD": "1C70",
        "GEORGIAN MTAVRULI CAPITAL LETTER HE": "1CB1",
        "VEDIC TONE PRENKHA": "1CD2",
        "VEDIC SIGN YAJURVEDIC MIDLINE SVARITA": "1CD4",
        "VEDIC TONE YAJURVEDIC INDEPENDENT SVARITA": "1CD6",
        "VEDIC TONE YAJURVEDIC KATHAKA INDEPENDENT SVARITA SCHROEDER": "1CD9",
        "VEDIC SIGN REVERSED VISARGA ANUDATTA": "1CE6",
        "VEDIC TONE DOUBLE RING ABOVE": "1CF9",
        "LATIN LETTER SMALL CAPITAL C": "1D04",
        "GREEK LETTER SMALL CAPITAL GAMMA": "1D26",
        "CYRILLIC LETTER SMALL CAPITAL EL": "1D2B",
        "MODIFIER LETTER CAPITAL U": "1D41",
        "MODIFIER LETTER SMALL BOTTOM HALF O": "1D55",
        "LATIN SMALL LETTER R WITH PALATAL HOOK": "1D89",
        "MODIFIER LETTER SMALL J WITH CROSSED-TAIL": "1DA8",
        "COMBINING DOTTED ACUTE ACCENT": "1DC1",
        "COMBINING SUSPENSION MARK": "1DC3",
        "COMBINING LATIN SMALL LETTER L": "1DDD",
        "COMBINING LATIN SMALL LETTER P": "1DEE",
        "COMBINING LATIN SMALL LETTER ESH": "1DEF",
        "LATIN SMALL LETTER L WITH LINE BELOW": "1E3B",
        "LATIN CAPITAL LETTER M WITH DOT BELOW": "1E42",
        "LATIN SMALL LETTER P WITH ACUTE": "1E55",
        "LATIN CAPITAL LETTER X WITH DIAERESIS": "1E8C",
        "LATIN SMALL LETTER T WITH DIAERESIS": "1E97",
        "LATIN CAPITAL LETTER A WITH DOT BELOW": "1EA0",
        "LATIN SMALL LETTER A WITH BREVE AND DOT BELOW": "1EB7",
        "LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE": "1EC3",
        "LATIN SMALL LETTER I WITH DOT BELOW": "1ECB",
        "LATIN SMALL LETTER Y WITH TILDE": "1EF9",
        "GREEK CAPITAL LETTER ALPHA WITH DASIA": "1F09",
        "GREEK CAPITAL LETTER UPSILON WITH DASIA AND VARIA": "1F5B",
        "GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI": "1FA7",
        "GREEK SMALL LETTER ALPHA WITH PERISPOMENI AND YPOGEGRAMMENI": "1FB7",
        "GREEK SMALL LETTER ETA WITH PERISPOMENI": "1FC6",
        "GREEK CAPITAL LETTER IOTA WITH MACRON": "1FD9",
        "GREEK CAPITAL LETTER UPSILON WITH MACRON": "1FE9",
        "GREEK DIALYTIKA AND OXIA": "1FEE",
        "GREEK CAPITAL LETTER OMEGA WITH OXIA": "1FFB",
        "GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI": "1FFC",
        "THREE-PER-EM SPACE": "2004",
        "BULLET": "2022",
        "ONE DOT LEADER": "2024",
        "INHIBIT SYMMETRIC SWAPPING": "206A",
        "SUBSCRIPT PLUS SIGN": "208A",
        "PESETA SIGN": "20A7",
        "TENGE SIGN": "20B8",
        "COMBINING LEFT HARPOON ABOVE": "20D0",
        "COMBINING RIGHT ARROW ABOVE": "20D7",
        "COMBINING THREE DOTS ABOVE": "20DB",
        "NUMERO SIGN": "2116",
        "FACSIMILE SIGN": "213B",
        "DOUBLE-STRUCK N-ARY SUMMATION": "2140",
        "VULGAR FRACTION ONE SIXTH": "2159",
        "SMALL ROMAN NUMERAL ONE": "2170",
        "SMALL ROMAN NUMERAL TWO": "2171",
        "LEFTWARDS ARROW TO BAR OVER RIGHTWARDS ARROW TO BAR": "21B9",
        "UPWARDS ARROW WITH DOUBLE STROKE": "21DE",
        "UPWARDS WHITE ARROW ON PEDESTAL WITH VERTICAL BAR": "21ED",
        "UPWARDS WHITE DOUBLE ARROW ON PEDESTAL": "21EF",
        "RIGHTWARDS WHITE ARROW FROM WALL": "21F0",
        "SOUTH EAST ARROW TO CORNER": "21F2",
        "LEFTWARDS ARROW WITH DOUBLE VERTICAL STROKE": "21FA",
        "NOT PARALLEL TO": "2226",
        "INTERSECTION": "2229",
        "UNION": "222A",
        "DOUBLE INTEGRAL": "222C",
        "NOT IDENTICAL TO": "2262",
        "LESS-THAN OVER EQUAL TO": "2266",
        "GREATER-THAN BUT NOT EQUAL TO": "2269",
        "NOT LESS-THAN": "226E",
        "SUPERSET OF OR EQUAL TO": "2287",
        "CIRCLED ASTERISK OPERATOR": "229B",
        "SMALL ELEMENT OF WITH OVERBAR": "22F7",
        "CONTAINS WITH LONG HORIZONTAL STROKE": "22FA",
        "REVERSED NOT SIGN": "2310",
        "APL FUNCTIONAL SYMBOL CIRCLE JOT": "233E",
        "APL FUNCTIONAL SYMBOL SLASH BAR": "233F",
        "APL FUNCTIONAL SYMBOL QUAD GREATER-THAN": "2344",
        "APL FUNCTIONAL SYMBOL QUAD DOWNWARDS ARROW": "2357",
        "APL FUNCTIONAL SYMBOL QUOTE UNDERBAR": "2358",
        "APL FUNCTIONAL SYMBOL CIRCLE STAR": "235F",
        "APL FUNCTIONAL SYMBOL STAR DIAERESIS": "2363",
        "APL FUNCTIONAL SYMBOL ALPHA": "237A",
        "RIGHT SQUARE BRACKET EXTENSION": "23A5",
        "DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL WITH CIRCLE": "23C2",
        "SQUARE FOOT": "23CD",
        "BLACK UP-POINTING DOUBLE TRIANGLE": "23EB",
        "BLACK MEDIUM DOWN-POINTING TRIANGLE": "23F7",
        "POWER SYMBOL": "23FB",
        "POWER SLEEP SYMBOL": "23FE",
        "SYMBOL FOR ACKNOWLEDGE": "2406",
        "OCR CHAIR": "2441",
        "OCR BOW TIE": "2445",
        "DIGIT THREE FULL STOP": "248A",
        "NUMBER TEN FULL STOP": "2491",
        "PARENTHESIZED LATIN SMALL LETTER J": "24A5",
        "CIRCLED LATIN CAPITAL LETTER M": "24C2",
        "CIRCLED LATIN SMALL LETTER N": "24DD",
        "CIRCLED LATIN SMALL LETTER Q": "24E0",
        "BOX DRAWINGS LIGHT TRIPLE DASH HORIZONTAL": "2504",
        "BOX DRAWINGS UP HEAVY AND RIGHT DOWN LIGHT": "251E",
        "BOX DRAWINGS HEAVY VERTICAL AND LEFT": "252B",
        "BOX DRAWINGS DOUBLE HORIZONTAL": "2550",
        "BOX DRAWINGS LIGHT DIAGONAL CROSS": "2573",
        "MEDIUM SHADE": "2592",
        "DARK SHADE": "2593",
        "LEFT HALF BLACK CIRCLE": "25D6",
        "LOWER HALF CIRCLE": "25E1",
        "SUN": "2609",
        "PLUTO": "2647",
        "WHITE CHESS KING": "2654",
        "WHITE CHESS PAWN": "2659",
        "SEXTILE": "26B9",
        "ALTERNATE ONE-WAY LEFT WAY TRAFFIC": "26D5",
        "BLACK TRUCK": "26DF",
        "BLACK CROSS ON SHIELD": "26E8",
        "TAPE DRIVE": "2707",
        "MEDIUM RIGHT PARENTHESIS ORNAMENT": "2769",
        "TRIANGLE-HEADED RIGHTWARDS ARROW": "279D",
        "OPEN SUPERSET": "27C4",
        "LONG LEFTWARDS ARROW": "27F5",
        "LONG LEFT RIGHT ARROW": "27F7",
        "BRAILLE PATTERN DOTS-1235": "2817",
        "BRAILLE PATTERN DOTS-156": "2831",
        "BRAILLE PATTERN DOTS-12357": "2857",
        "BRAILLE PATTERN DOTS-67": "2860",
        "BRAILLE PATTERN DOTS-1367": "2865",
        "BRAILLE PATTERN DOTS-1368": "28A5",
        "BRAILLE PATTERN DOTS-123468": "28AF",
        "BRAILLE PATTERN DOTS-1578": "28D1",
        "BRAILLE PATTERN DOTS-3678": "28E4",
        "BRAILLE PATTERN DOTS-13678": "28E5",
        "BRAILLE PATTERN DOTS-145678": "28F9",
        "RIGHTWARDS TWO-HEADED ARROW WITH VERTICAL STROKE": "2900",
        "RIGHTWARDS DOUBLE ARROW WITH VERTICAL STROKE": "2903",
        "RIGHTWARDS DOUBLE DASH ARROW": "290D",
        "RIGHTWARDS TWO-HEADED TRIPLE DASH ARROW": "2910",
        "ARROW POINTING DOWNWARDS THEN CURVING RIGHTWARDS": "2937",
        "UP BARB RIGHT DOWN BARB RIGHT HARPOON": "294F",
        "DOWNWARDS HARPOON WITH BARB RIGHT TO BAR": "2955",
        "UPWARDS HARPOON WITH BARB LEFT TO BAR": "2958",
        "UPWARDS HARPOON WITH BARB LEFT FROM BAR": "2960",
        "RIGHTWARDS HARPOON WITH BARB UP ABOVE RIGHTWARDS HARPOON WITH BARB DOWN": "2964",
        "LEFT SQUARE BRACKET WITH TICK IN BOTTOM CORNER": "298F",
        "DOUBLE RIGHT ARC LESS-THAN BRACKET": "2996",
        "CIRCLED ANTICLOCKWISE-ROTATED DIVISION SIGN": "29BC",
        "VERTICAL BAR BESIDE RIGHT TRIANGLE": "29D0",
        "INCREASES AS": "29E1",
        "ERROR-BARRED WHITE SQUARE": "29EE",
        "N-ARY UNION OPERATOR WITH PLUS": "2A04",
        "N-ARY SQUARE UNION OPERATOR": "2A06",
        "QUADRUPLE INTEGRAL OPERATOR": "2A0C",
        "PLUS SIGN IN RIGHT HALF CIRCLE": "2A2E",
        "LOGICAL AND WITH HORIZONTAL DASH": "2A5C",
        "IDENTICAL WITH DOT ABOVE": "2A67",
        "TILDE OPERATOR WITH RISING DOTS": "2A6B",
        "LESS-THAN OR SLANTED EQUAL TO WITH DOT ABOVE": "2A81",
        "SUCCEEDS ABOVE ALMOST EQUAL TO": "2AB8",
        "SUPERSET BESIDE SUBSET": "2AD7",
        "DOUBLE VERTICAL BAR DOUBLE LEFT TURNSTILE": "2AE5",
        "REVERSED DOUBLE STROKE NOT SIGN": "2AED",
        "LEFTWARDS TWO-HEADED ARROW WITH DOUBLE VERTICAL STROKE": "2B35",
        "LEFTWARDS TWO-HEADED ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE": "2B3D",
        "SHORT SLANTED NORTH ARROW": "2B4E",
        "BLACK RIGHT-POINTING PENTAGON": "2B53",
        "NORTH WEST TRIANGLE-HEADED ARROW": "2B66",
        "ANTICLOCKWISE TRIANGLE-HEADED OPEN CIRCLE ARROW": "2B6F",
        "UPWARDS TRIANGLE-HEADED PAIRED ARROWS": "2B85",
        "RIGHTWARDS TRIANGLE-HEADED PAIRED ARROWS": "2B86",
        "LEFTWARDS BLACK CIRCLED WHITE ARROW": "2B88",
        "RETURN LEFT": "2B90",
        "GLAGOLITIC CAPITAL LETTER ONU": "2C11",
        "GLAGOLITIC CAPITAL LETTER SLOVO": "2C14",
        "GLAGOLITIC CAPITAL LETTER YATI": "2C21",
        "GLAGOLITIC SMALL LETTER OTU": "2C49",
        "GLAGOLITIC SMALL LETTER CHRIVI": "2C4D",
        "GLAGOLITIC SMALL LETTER SPIDERY HA": "2C52",
        "GLAGOLITIC SMALL LETTER BIG YUS": "2C58",
        "GLAGOLITIC SMALL LETTER IOTATED BIG YUS": "2C59",
        "GLAGOLITIC SMALL LETTER IZHITSA": "2C5B",
        "LATIN SMALL LETTER L WITH DOUBLE BAR": "2C61",
        "COPTIC CAPITAL LETTER DALDA": "2C86",
        "COPTIC SMALL LETTER SOU": "2C8B",
        "COPTIC CAPITAL LETTER KHI": "2CAC",
        "COPTIC CAPITAL LETTER OLD COPTIC HORI": "2CCC",
        "COPTIC COMBINING SPIRITUS ASPER": "2CF0",
        "GEORGIAN SMALL LETTER GAN": "2D02",
        "GEORGIAN SMALL LETTER TAN": "2D07",
        "GEORGIAN SMALL LETTER KHAR": "2D15",
        "TIFINAGH LETTER YAL": "2D4D",
        "TIFINAGH LETTER YASH": "2D5B",
        "TIFINAGH LETTER YAY": "2D62",
        "ETHIOPIC SYLLABLE NOA": "2D88",
        "ETHIOPIC SYLLABLE POA": "2D92",
        "ETHIOPIC SYLLABLE SSE": "2DA5",
        "ETHIOPIC SYLLABLE QYU": "2DC1",
        "COMBINING CYRILLIC LETTER ZHE": "2DE4",
        "RIGHT TRANSPOSITION BRACKET": "2E0A",
        "FORKED PARAGRAPHOS": "2E10",
        "TILDE WITH DOT BELOW": "2E1F",
        "LEFT VERTICAL BAR WITH QUILL": "2E20",
        "TOP LEFT HALF BRACKET": "2E22",
        "VERTICAL TILDE": "2E2F",
        "RAISED COMMA": "2E34",
        "REVERSED COMMA": "2E41",
        "INVERTED LOW KAVYKA": "2E45",
        "DOUBLE STACKED COMMA": "2E49",
        "CJK RADICAL BOLT OF CLOTH": "2EAA",
        "CJK RADICAL SPIRIT TWO": "2EAD",
        "CJK RADICAL SHEEP": "2EB6",
        "CJK RADICAL WALK ONE": "2ECD",
        "CJK RADICAL C-SIMPLIFIED GATE": "2ED4",
        "CJK RADICAL SIMPLIFIED YELLOW": "2EE9",
        "KANGXI RADICAL HIDING ENCLOSURE": "2F16",
        "KANGXI RADICAL EVENING": "2F23",
        "KANGXI RADICAL WHITE": "2F69",
        "KANGXI RADICAL STONE": "2F6F",
        "KANGXI RADICAL MINISTER": "2F82",
        "KANGXI RADICAL MOUND": "2FA9",
        "KANGXI RADICAL HORSE": "2FBA",
        "KANGXI RADICAL HEMP": "2FC7",
        "KANGXI RADICAL RAT": "2FCF",
        "KANGXI RADICAL FLUTE": "2FD5",
        "IDEOGRAPHIC DESCRIPTION CHARACTER ABOVE TO MIDDLE AND BELOW": "2FF3",
        "DITTO MARK": "3003",
        "LOW DOUBLE PRIME QUOTATION MARK": "301F",
        "IDEOGRAPHIC DEPARTING TONE MARK": "302C",
        "HANGZHOU NUMERAL THIRTY": "303A",
        "HIRAGANA LETTER KE": "3051",
        "HIRAGANA LETTER TO": "3068",
        "HIRAGANA LETTER NE": "306D",
        "HIRAGANA LETTER ME": "3081",
        "KATAKANA LETTER ZI": "30B8",
        "KATAKANA LETTER SE": "30BB",
        "KATAKANA LETTER TU": "30C4",
        "KATAKANA LETTER SMALL YU": "30E5",
        "BOPOMOFO LETTER K": "310E",
        "HANGUL LETTER PIEUP-SIOS-TIKEUT": "3175",
        "HANGUL LETTER PIEUP-THIEUTH": "3177",
        "HANGUL LETTER YO-I": "3189",
        "CJK STROKE HZT": "31CA",
        "KATAKANA LETTER SMALL KU": "31F0",
        "PARENTHESIZED HANGUL NIEUN": "3201",
        "PARENTHESIZED HANGUL RIEUL": "3203",
        "PARENTHESIZED IDEOGRAPH SIX": "3225",
        "CIRCLED NUMBER SEVENTY ON BLACK SQUARE": "324E",
        "CIRCLED HANGUL TIKEUT": "3262",
        "CIRCLED HANGUL MIEUM": "3264",
        "CIRCLED HANGUL KIYEOK A": "326E",
        "CIRCLED HANGUL TIKEUT A": "3270",
        "CIRCLED HANGUL MIEUM A": "3272",
        "CIRCLED HANGUL THIEUTH A": "3279",
        "CIRCLED KOREAN CHARACTER CHAMKO": "327C",
        "CIRCLED IDEOGRAPH EIGHT": "3287",
        "CIRCLED IDEOGRAPH TEN": "3289",
        "CIRCLED IDEOGRAPH LABOR": "3298",
        "CIRCLED IDEOGRAPH EXCELLENT": "329D",
        "CIRCLED IDEOGRAPH REST": "32A1",
        "CIRCLED IDEOGRAPH RELIGION": "32AA",
        "CIRCLED IDEOGRAPH ENTERPRISE": "32AD",
        "CIRCLED IDEOGRAPH ALLIANCE": "32AF",
        "IDEOGRAPHIC TELEGRAPH SYMBOL FOR JULY": "32C6",
        "CIRCLED KATAKANA KO": "32D9",
        "CIRCLED KATAKANA TO": "32E3",
        "CIRCLED KATAKANA NE": "32E7",
        "SQUARE KYURII": "3312",
        "SQUARE KIRO": "3314",
        "SQUARE REMU": "3355",
        "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ONE": "3359",
        "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SEVEN": "335F",
        "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-ONE": "336D",
        "SQUARE ERA NAME SYOUWA": "337C",
        "SQUARE KL": "3398",
        "SQUARE CM CUBED": "33A4",
        "SQUARE M OVER S": "33A7",
        "SQUARE MU W": "33BC",
        "SQUARE C OVER KG": "33C6",
        "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FIVE": "33E4",
        "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FIFTEEN": "33EE",
        "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY NINETEEN": "33F2",
        "HEXAGRAM FOR FELLOWSHIP": "4DCC",
        "HEXAGRAM FOR INNER TRUTH": "4DFC",
        "YI SYLLABLE BUOP": "A024",
        "YI SYLLABLE BUT": "A02C",
        "YI SYLLABLE PIX": "A039",
        "YI SYLLABLE BBIEX": "A05B",
        "YI SYLLABLE BBAX": "A05F",
        "YI SYLLABLE BBYX": "A073",
        "YI SYLLABLE NBU": "A087",
        "YI SYLLABLE HMIE": "A096",
        "YI SYLLABLE HMY": "A0AA",
        "YI SYLLABLE MUP": "A0C6",
        "YI SYLLABLE MUR": "A0C8",
        "YI SYLLABLE FUX": "A0D9",
        "YI SYLLABLE FU": "A0DA",
        "YI SYLLABLE FUR": "A0DD",
        "YI SYLLABLE VIX": "A0E3",
        "YI SYLLABLE VIEP": "A0E9",
        "YI SYLLABLE DAX": "A108",
        "YI SYLLABLE DAP": "A10A",
        "YI SYLLABLE DUOX": "A10B",
        "YI SYLLABLE DO": "A10F",
        "YI SYLLABLE TAP": "A124",
        "YI SYLLABLE DDIX": "A137",
        "YI SYLLABLE DDIP": "A139",
        "YI SYLLABLE DDUOX": "A141",
        "YI SYLLABLE HNIE": "A16E",
        "YI SYLLABLE HNAT": "A170",
        "YI SYLLABLE HNAP": "A173",
        "YI SYLLABLE HNEX": "A179",
        "YI SYLLABLE NUR": "A196",
        "YI SYLLABLE GOT": "A1EA",
        "YI SYLLABLE GUX": "A1F3",
        "YI SYLLABLE KI": "A1FA",
        "YI SYLLABLE GGOT": "A222",
        "YI SYLLABLE GGOP": "A225",
        "YI SYLLABLE MGA": "A234",
        "YI SYLLABLE MGO": "A23B",
        "YI SYLLABLE MGUT": "A240",
        "YI SYLLABLE NGOX": "A268",
        "YI SYLLABLE ZZEP": "A2E1",
        "YI SYLLABLE NZUX": "A2FE",
        "YI SYLLABLE SUOP": "A316",
        "YI SYLLABLE SE": "A31C",
        "YI SYLLABLE SYRX": "A328",
        "YI SYLLABLE SSAP": "A334",
        "YI SYLLABLE SSEX": "A339",
        "YI SYLLABLE SSYX": "A341",
        "YI SYLLABLE ZHEX": "A352",
        "YI SYLLABLE ZHYP": "A35E",
        "YI SYLLABLE CHYP": "A379",
        "YI SYLLABLE SHAT": "A3AB",
        "YI SYLLABLE SHUO": "A3B0",
        "YI SYLLABLE SHOP": "A3B5",
        "YI SYLLABLE SHYP": "A3C3",
        "YI SYLLABLE JI": "A3E2",
        "YI SYLLABLE JYT": "A3F6",
        "YI SYLLABLE NJU": "A440",
        "YI SYLLABLE NJYT": "A444",
        "YI SYLLABLE NYOX": "A456",
        "YI SYLLABLE XIT": "A45D",
        "YI SYLLABLE XIE": "A463",
        "YI SYLLABLE YUR": "A486",
        "YI RADICAL QOT": "A490",
        "YI RADICAL HXUO": "A49F",
        "LISU LETTER CHA": "A4DB",
        "LISU LETTER HHA": "A4E8",
        "LISU LETTER UE": "A4F5",
        "VAI SYLLABLE MGBEE": "A50A",
        "VAI SYLLABLE BHI": "A52B",
        "VAI SYLLABLE GBI": "A530",
        "VAI SYLLABLE DHHI": "A536",
        "VAI SYLLABLE YI": "A542",
        "VAI SYLLABLE NYI": "A548",
        "VAI SYLLABLE KA": "A56A",
        "VAI SYLLABLE WOON": "A575",
        "VAI SYLLABLE FOO": "A57D",
        "VAI SYLLABLE MOO": "A592",
        "VAI SYLLABLE KPU": "A59F",
        "VAI SYLLABLE FE": "A5F1",
        "VAI SYLLABLE NDOLE SOO": "A612",
        "VAI SYMBOL JONG": "A61F",
        "VAI DIGIT FOUR": "A624",
        "VAI DIGIT SIX": "A626",
        "CYRILLIC SMALL LETTER REVERSED YU": "A655",
        "CYRILLIC SMALL LETTER IOTIFIED CLOSED LITTLE YUS": "A65D",
        "CYRILLIC SMALL LETTER MONOCULAR O": "A669",
        "COMBINING CYRILLIC TEN MILLIONS SIGN": "A670",
        "COMBINING CYRILLIC LETTER YERU": "A679",
        "CYRILLIC CAPITAL LETTER TE WITH MIDDLE HOOK": "A68A",
        "CYRILLIC CAPITAL LETTER HWE": "A694",
        "BAMUM LETTER LU": "A6CD",
        "BAMUM LETTER NTUU": "A6EB",
        "MODIFIER LETTER CHINESE TONE YANG SHANG": "A703",
        "MODIFIER LETTER EXTRA-HIGH DOTTED LEFT-STEM TONE BAR": "A70D",
        "MODIFIER LETTER HIGH LEFT-STEM TONE BAR": "A713",
        "LATIN SMALL LETTER EGYPTOLOGICAL ALEF": "A723",
        "LATIN SMALL LETTER CUATRILLO": "A72D",
        "LATIN CAPITAL LETTER CUATRILLO WITH COMMA": "A72E",
        "LATIN SMALL LETTER REVERSED C WITH DOT": "A73F",
        "LATIN SMALL LETTER K WITH STROKE": "A741",
        "LATIN SMALL LETTER P WITH STROKE THROUGH DESCENDER": "A751",
        "LATIN CAPITAL LETTER CON": "A76E",
        "MODIFIER LETTER US": "A770",
        "LATIN SMALL LETTER INSULAR S": "A785",
        "LATIN CAPITAL LETTER GLOTTAL U": "A7BE",
        "PHAGS-PA LETTER CHA": "A845",
        "PHAGS-PA LETTER TA": "A848",
        "SAURASHTRA DIGIT TWO": "A8D2",
        "KAYAH LI DIGIT FOUR": "A904",
        "KAYAH LI LETTER NYA": "A911",
        "KAYAH LI LETTER PHA": "A916",
        "KAYAH LI LETTER MA": "A917",
        "KAYAH LI VOWEL U": "A928",
        "REJANG LETTER LA": "A93E",
        "REJANG LETTER WA": "A940",
        "REJANG VOWEL SIGN O": "A94B",
        "HANGUL CHOSEONG MIEUM-KIYEOK": "A96F",
        "HANGUL CHOSEONG PIEUP-SIOS-THIEUTH": "A972",
        "HANGUL CHOSEONG PIEUP-HIEUH": "A974",
        "JAVANESE LETTER WA": "A9AE",
        "JAVANESE VOWEL SIGN WULU": "A9B6",
        "JAVANESE CONSONANT SIGN PENGKAL": "A9BE",
        "JAVANESE DIGIT FOUR": "A9D4",
        "MYANMAR LETTER SHAN CHA": "A9E1",
        "MYANMAR LETTER TAI LAING FA": "A9E8",
        "CHAM LETTER VA": "AA25",
        "CHAM VOWEL SIGN I": "AA2A",
        "CHAM VOWEL SIGN O": "AA2F",
        "CHAM VOWEL SIGN UE": "AA32",
        "CHAM DIGIT SIX": "AA56",
        "CHAM DIGIT SEVEN": "AA57",
        "MYANMAR LETTER SHWE PALAUNG SHA": "AA7F",
        "TAI VIET LETTER LOW KO": "AA80",
        "TAI VIET LETTER HIGH LO": "AAA9",
        "TAI VIET VOWEL IA": "AAB8",
        "TAI VIET VOWEL UA": "AABA",
        "TAI VIET VOWEL AY": "AABC",
        "MEETEI MAYEK LETTER SSA": "AAEA",
        "ETHIOPIC SYLLABLE BBAA": "AB2B",
        "ETHIOPIC SYLLABLE BBEE": "AB2C",
        "LATIN LETTER SMALL CAPITAL R WITH RIGHT LEG": "AB46",
        "CHEROKEE SMALL LETTER V": "AB75",
        "CHEROKEE SMALL LETTER NA": "AB8E",
        "CHEROKEE SMALL LETTER NAH": "AB90",
        "CHEROKEE SMALL LETTER NI": "AB92",
        "MEETEI MAYEK DIGIT SIX": "ABF6",
        "HANGUL JUNGSEONG O-YEO": "D7B0",
        "HANGUL JUNGSEONG EU-A": "D7B9",
        "HANGUL JUNGSEONG EU-O": "D7BC",
        "HANGUL JONGSEONG NIEUN-CHIEUCH": "D7CC",
        "HANGUL JONGSEONG TIKEUT-PIEUP": "D7CF",
        "HANGUL JONGSEONG TIKEUT-SIOS": "D7D0",
        "HANGUL JONGSEONG TIKEUT-CHIEUCH": "D7D3",
        "HANGUL JONGSEONG RIEUL-YESIEUNG": "D7DB",
        "CJK COMPATIBILITY IDEOGRAPH-F902": "F902",
        "CJK COMPATIBILITY IDEOGRAPH-F91A": "F91A",
        "CJK COMPATIBILITY IDEOGRAPH-F91D": "F91D",
        "CJK COMPATIBILITY IDEOGRAPH-F92F": "F92F",
        "CJK COMPATIBILITY IDEOGRAPH-F937": "F937",
        "CJK COMPATIBILITY IDEOGRAPH-F948": "F948",
        "CJK COMPATIBILITY IDEOGRAPH-F94A": "F94A",
        "CJK COMPATIBILITY IDEOGRAPH-F972": "F972",
        "CJK COMPATIBILITY IDEOGRAPH-F978": "F978",
        "CJK COMPATIBILITY IDEOGRAPH-F983": "F983",
        "CJK COMPATIBILITY IDEOGRAPH-F999": "F999",
        "CJK COMPATIBILITY IDEOGRAPH-F9AB": "F9AB",
        "CJK COMPATIBILITY IDEOGRAPH-F9CC": "F9CC",
        "CJK COMPATIBILITY IDEOGRAPH-F9FF": "F9FF",
        "CJK COMPATIBILITY IDEOGRAPH-FA03": "FA03",
        "CJK COMPATIBILITY IDEOGRAPH-FA07": "FA07",
        "CJK COMPATIBILITY IDEOGRAPH-FA0D": "FA0D",
        "CJK COMPATIBILITY IDEOGRAPH-FA18": "FA18",
        "CJK COMPATIBILITY IDEOGRAPH-FA1B": "FA1B",
        "CJK COMPATIBILITY IDEOGRAPH-FA1F": "FA1F",
        "CJK COMPATIBILITY IDEOGRAPH-FA2A": "FA2A",
        "CJK COMPATIBILITY IDEOGRAPH-FA57": "FA57",
        "CJK COMPATIBILITY IDEOGRAPH-FAAE": "FAAE",
        "CJK COMPATIBILITY IDEOGRAPH-FAB5": "FAB5",
        "CJK COMPATIBILITY IDEOGRAPH-FAD8": "FAD8",
        "ARMENIAN SMALL LIGATURE MEN NOW": "FB13",
        "HEBREW LETTER WIDE ALEF": "FB21",
        "HEBREW LETTER GIMEL WITH DAGESH": "FB32",
        "HEBREW LETTER TAV WITH DAGESH": "FB4A",
        "ARABIC LETTER BEHEH FINAL FORM": "FB5B",
        "ARABIC LETTER HEH GOAL FINAL FORM": "FBA7",
        "ARABIC LETTER YEH BARREE ISOLATED FORM": "FBAE",
        "ARABIC LETTER YEH BARREE WITH HAMZA ABOVE FINAL FORM": "FBB1",
        "ARABIC SYMBOL TWO DOTS BELOW": "FBB5",
        "ARABIC LETTER U WITH HAMZA ABOVE ISOLATED FORM": "FBDD",
        "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF ISOLATED FORM": "FBEA",
        "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E INITIAL FORM": "FBF8",
        "ARABIC LIGATURE KHAH WITH JEEM ISOLATED FORM": "FC19",
        "ARABIC LIGATURE KHAH WITH HAH ISOLATED FORM": "FC1A",
        "ARABIC LIGATURE SEEN WITH HAH ISOLATED FORM": "FC1D",
        "ARABIC LIGATURE KAF WITH MEEM ISOLATED FORM": "FC3C",
        "ARABIC LIGATURE MEEM WITH HAH ISOLATED FORM": "FC46",
        "ARABIC LIGATURE REH WITH SUPERSCRIPT ALEF ISOLATED FORM": "FC5C",
        "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH NOON FINAL FORM": "FC67",
        "ARABIC LIGATURE TEH WITH REH FINAL FORM": "FC70",
        "ARABIC LIGATURE TEH WITH HAH INITIAL FORM": "FCA2",
        "ARABIC LIGATURE LAM WITH HAH INITIAL FORM": "FCCA",
        "ARABIC LIGATURE NOON WITH MEEM INITIAL FORM": "FCD5",
        "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HEH MEDIAL FORM": "FCE0",
        "ARABIC LIGATURE BEH WITH MEEM MEDIAL FORM": "FCE1",
        "ARABIC LIGATURE SHADDA WITH KASRA MEDIAL FORM": "FCF4",
        "ARABIC LIGATURE TAH WITH YEH ISOLATED FORM": "FCF6",
        "ORNATE LEFT PARENTHESIS": "FD3E",
        "ARABIC LIGATURE TEH WITH JEEM WITH MEEM INITIAL FORM": "FD50",
        "ARABIC LIGATURE SEEN WITH HAH WITH JEEM INITIAL FORM": "FD5C",
        "ARABIC LIGATURE AIN WITH MEEM WITH MEEM FINAL FORM": "FD76",
        "ARABIC LIGATURE AIN WITH MEEM WITH ALEF MAKSURA FINAL FORM": "FD78",
        "ARABIC LIGATURE QAF WITH MEEM WITH HAH FINAL FORM": "FD7E",
        "ARABIC LIGATURE YEH WITH MEEM WITH MEEM INITIAL FORM": "FD9D",
        "ARABIC LIGATURE JEEM WITH MEEM WITH ALEF MAKSURA FINAL FORM": "FDA7",
        "ARABIC LIGATURE QALA USED AS KORANIC STOP SIGN ISOLATED FORM": "FDF1",
        "RIAL SIGN": "FDFC",
        "VARIATION SELECTOR-5": "FE04",
        "VARIATION SELECTOR-16": "FE0F",
        "COMBINING MACRON RIGHT HALF": "FE25",
        "COMBINING CONJOINING MACRON BELOW": "FE2D",
        "PRESENTATION FORM FOR VERTICAL EM DASH": "FE31",
        "SMALL RIGHT PARENTHESIS": "FE5A",
        "ARABIC SUKUN ISOLATED FORM": "FE7E",
        "ARABIC LETTER ALEF WITH MADDA ABOVE ISOLATED FORM": "FE81",
        "ARABIC LETTER YEH WITH HAMZA ABOVE FINAL FORM": "FE8A",
        "ARABIC LETTER TEH MEDIAL FORM": "FE98",
        "ARABIC LETTER THEH ISOLATED FORM": "FE99",
        "ARABIC LETTER JEEM ISOLATED FORM": "FE9D",
        "ARABIC LETTER KAF MEDIAL FORM": "FEDC",
        "ARABIC LETTER YEH INITIAL FORM": "FEF3",
        "ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE ISOLATED FORM": "FEF7",
        "ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE FINAL FORM": "FEF8",
        "FULLWIDTH DIGIT ZERO": "FF10",
        "FULLWIDTH DIGIT TWO": "FF12",
        "FULLWIDTH LATIN CAPITAL LETTER I": "FF29",
        "FULLWIDTH LATIN SMALL LETTER B": "FF42",
        "FULLWIDTH LATIN SMALL LETTER Z": "FF5A",
        "HALFWIDTH KATAKANA LETTER SMALL O": "FF6B",
        "HALFWIDTH HANGUL LETTER CIEUC": "FFB8",
        "HALFWIDTH HANGUL LETTER THIEUTH": "FFBC",
        "HALFWIDTH HANGUL LETTER WA": "FFCD",
        "LINEAR B SYLLABLE B007 DI": "10007",
        "LINEAR B SYLLABLE B023 MU": "10018",
        "LINEAR B SYLLABLE B055 NU": "1001D",
        "LINEAR B SYLLABLE B050 PU": "10022",
        "LINEAR B SYLLABLE B071 DWE": "10043",
        "LINEAR B SYMBOL B034": "10053",
        "LINEAR B IDEOGRAM B104 DEER": "10082",
        "LINEAR B IDEOGRAM B106F EWE": "10086",
        "LINEAR B IDEOGRAM B243 WHEEL": "100CF",
        "LINEAR B MONOGRAM B247 DIPTE": "100D2",
        "LINEAR B IDEOGRAM VESSEL B200": "100DF",
        "AEGEAN NUMBER TWO": "10108",
        "AEGEAN NUMBER FIVE": "1010B",
        "AEGEAN NUMBER SEVEN": "1010D",
        "AEGEAN NUMBER SIX THOUSAND": "10127",
        "AEGEAN WEIGHT THIRD SUBUNIT": "1013A",
        "GREEK ACROPHONIC TROEZENIAN FIFTY": "10166",
        "GREEK ACROPHONIC TROEZENIAN FIFTY ALTERNATE FORM": "10167",
        "GREEK YEAR SIGN": "10179",
        "ROMAN SILIQUA SIGN": "10195",
        "LYCIAN LETTER B": "10282",
        "LYCIAN LETTER I": "10286",
        "LYCIAN LETTER Q": "1028C",
        "LYCIAN LETTER M": "1028E",
        "CARIAN LETTER T": "102AD",
        "CARIAN LETTER SH2": "102AF",
        "COPTIC EPACT DIGIT THREE": "102E3",
        "COPTIC EPACT DIGIT FOUR": "102E4",
        "OLD ITALIC LETTER ZE": "10306",
        "GOTHIC LETTER BAIRKAN": "10331",
        "GOTHIC LETTER THIUTH": "10338",
        "GOTHIC LETTER URUS": "1033F",
        "OLD PERMIC LETTER CHERY": "10364",
        "UGARITIC LETTER KHA": "10383",
        "UGARITIC LETTER HOTA": "10388",
        "OLD PERSIAN SIGN KA": "103A3",
        "OLD PERSIAN SIGN RA": "103BC",
        "OLD PERSIAN SIGN BAGA": "103CE",
        "OLD PERSIAN WORD DIVIDER": "103D0",
        "DESERET CAPITAL LETTER CHEE": "10415",
        "DESERET SMALL LETTER ENG": "1044D",
        "OSMANYA LETTER QAAF": "1048E",
        "OSAGE SMALL LETTER A": "104D8",
        "OSAGE SMALL LETTER AI": "104D9",
        "OSAGE SMALL LETTER AIN": "104DA",
        "ELBASAN LETTER A": "10500",
        "LINEAR A SIGN AB045": "10626",
        "LINEAR A SIGN AB055": "1062F",
        "LINEAR A SIGN AB067": "10638",
        "LINEAR A SIGN AB082": "10643",
        "LINEAR A SIGN AB118": "10648",
        "LINEAR A SIGN A313A": "10663",
        "LINEAR A SIGN A319": "1066B",
        "LINEAR A SIGN A337": "1067D",
        "LINEAR A SIGN A367": "1069B",
        "LINEAR A SIGN A406-VAS": "106A6",
        "LINEAR A SIGN A409-VAS": "106A9",
        "LINEAR A SIGN A510": "106BB",
        "LINEAR A SIGN A536": "106CF",
        "LINEAR A SIGN A559": "106E2",
        "LINEAR A SIGN A566": "106E6",
        "LINEAR A SIGN A602": "10705",
        "LINEAR A SIGN A612": "1070D",
        "LINEAR A SIGN A663": "10735",
        "CYPRIOT SYLLABLE NE": "1081A",
        "IMPERIAL ARAMAIC LETTER GIMEL": "10842",
        "PALMYRENE NUMBER ONE": "10879",
        "HATRAN LETTER AYN": "108EF",
        "LYDIAN LETTER F": "10931",
        "LYDIAN LETTER S": "10933",
        "LYDIAN LETTER C": "10939",
        "MEROITIC HIEROGLYPHIC LETTER SA": "10993",
        "MEROITIC CURSIVE LETTER KHA": "109AD",
        "MEROITIC CURSIVE LETTER ARCHAIC SA": "109B0",
        "MEROITIC CURSIVE NUMBER ONE": "109C0",
        "MEROITIC CURSIVE NUMBER FIVE": "109C4",
        "MEROITIC CURSIVE NUMBER NINE": "109C8",
        "MEROITIC CURSIVE NUMBER TWO HUNDRED": "109D3",
        "MEROITIC CURSIVE NUMBER FIVE THOUSAND": "109DF",
        "MEROITIC CURSIVE NUMBER SEVENTY THOUSAND": "109EA",
        "KHAROSHTHI VOWEL SIGN VOCALIC R": "10A03",
        "OLD NORTH ARABIAN LETTER HAH": "10A82",
        "OLD NORTH ARABIAN LETTER WAW": "10A85",
        "OLD NORTH ARABIAN LETTER TEH": "10A89",
        "MANICHAEAN LETTER QOPH": "10ADE",
        "AVESTAN LETTER AE": "10B06",
        "AVESTAN LETTER U": "10B0E",
        "LARGE ONE RING OVER TWO RINGS PUNCTUATION": "10B3F",
        "INSCRIPTIONAL PARTHIAN LETTER DALETH": "10B43",
        "INSCRIPTIONAL PARTHIAN LETTER YODH": "10B49",
        "INSCRIPTIONAL PARTHIAN NUMBER FOUR": "10B5B",
        "INSCRIPTIONAL PAHLAVI LETTER ZAYIN": "10B66",
        "PSALTER PAHLAVI LETTER GIMEL": "10B82",
        "OLD TURKIC LETTER ORKHON AY": "10C16",
        "OLD TURKIC LETTER ORKHON AS": "10C3D",
        "OLD HUNGARIAN CAPITAL LETTER ECS": "10C86",
        "OLD HUNGARIAN CAPITAL LETTER ER": "10CA2",
        "OLD HUNGARIAN CAPITAL LETTER EV": "10CAE",
        "OLD HUNGARIAN CAPITAL LETTER EZ": "10CAF",
        "OLD HUNGARIAN SMALL LETTER ECH": "10CE9",
        "OLD HUNGARIAN NUMBER FIFTY": "10CFD",
        "HANIFI ROHINGYA LETTER KINNA WA": "10D17",
        "HANIFI ROHINGYA MARK SAKIN": "10D22",
        "HANIFI ROHINGYA SIGN TASSI": "10D27",
        "HANIFI ROHINGYA DIGIT ZERO": "10D30",
        "HANIFI ROHINGYA DIGIT EIGHT": "10D38",
        "YEZIDI LETTER CHIM": "10E87",
        "YEZIDI LETTER VA ALTERNATE FORM": "10E9B",
        "OLD SOGDIAN LETTER KAPH": "10F0B",
        "OLD SOGDIAN LETTER MEM": "10F0D",
        "OLD SOGDIAN LETTER FINAL SADHE": "10F16",
        "OLD SOGDIAN LIGATURE AYIN-DALETH": "10F27",
        "SOGDIAN LETTER YODH": "10F37",
        "SOGDIAN LETTER SHIN": "10F41",
        "ELYMAIC LETTER QOPH": "10FF2",
        "BRAHMI DANDA": "11047",
        "BRAHMI PUNCTUATION DOUBLE DOT": "1104A",
        "BRAHMI NUMBER TWENTY": "1105C",
        "BRAHMI DIGIT FIVE": "1106B",
        "BRAHMI DIGIT SEVEN": "1106D",
        "KAITHI SIGN ANUSVARA": "11081",
        "KAITHI LETTER KHA": "1108E",
        "KAITHI LETTER TA": "1109E",
        "KAITHI LETTER BA": "110A5",
        "KAITHI VOWEL SIGN II": "110B2",
        "KAITHI VOWEL SIGN UU": "110B4",
        "KAITHI NUMBER SIGN ABOVE": "110CD",
        "SORA SOMPENG LETTER SAH": "110D0",
        "SORA SOMPENG LETTER VAH": "110DA",
        "SORA SOMPENG DIGIT FOUR": "110F4",
        "CHAKMA LETTER PAA": "1111B",
        "CHAKMA LETTER YAA": "11121",
        "CHAKMA VOWEL SIGN A": "11127",
        "MAHAJANI LETTER A": "11150",
        "MAHAJANI LETTER VA": "1116F",
        "SHARADA SIGN ANUSVARA": "11181",
        "SHARADA LETTER II": "11186",
        "SHARADA LETTER DHA": "111A3",
        "SHARADA SIGN JIHVAMULIYA": "111C2",
        "SHARADA VOWEL MODIFIER MARK": "111CB",
        "SHARADA SUTRA MARK": "111CD",
        "SHARADA DIGIT SEVEN": "111D7",
        "KHOJKI LETTER GA": "1120A",
        "KHOJKI LETTER SA": "11229",
        "KHOJKI VOWEL SIGN II": "1122E",
        "KHOJKI VOWEL SIGN AU": "11233",
        "KHOJKI SIGN ANUSVARA": "11234",
        "KHOJKI DOUBLE DANDA": "11239",
        "MULTANI LETTER GA": "11286",
        "MULTANI LETTER DDDA": "11293",
        "MULTANI LETTER THA": "11297",
        "KHUDAWADI LETTER GHA": "112BE",
        "KHUDAWADI LETTER VA": "112DB",
        "GRANTHA LETTER NYA": "1131E",
        "GRANTHA LETTER MA": "1132E",
        "GRANTHA VOWEL SIGN U": "11341",
        "GRANTHA VOWEL SIGN UU": "11342",
        "COMBINING GRANTHA DIGIT TWO": "11368",
        "COMBINING GRANTHA DIGIT FIVE": "1136B",
        "COMBINING GRANTHA LETTER PA": "11374",
        "NEWA LETTER E": "1140A",
        "NEWA LETTER SSA": "11432",
        "NEWA SIGN VISARGA": "11445",
        "TIRHUTA LETTER O": "1148D",
        "TIRHUTA LETTER KA": "1148F",
        "TIRHUTA DIGIT NINE": "114D9",
        "SIDDHAM LETTER II": "11583",
        "SIDDHAM LETTER VOCALIC RR": "11587",
        "SIDDHAM LETTER JHA": "11596",
        "MODI DIGIT THREE": "11653",
        "TAKRI LETTER LA": "116A5",
        "TAKRI SIGN VISARGA": "116AC",
        "TAKRI VOWEL SIGN UU": "116B1",
        "TAKRI VOWEL SIGN AI": "116B3",
        "DOGRA LETTER BA": "11820",
        "DOGRA LETTER SHA": "11827",
        "DOGRA SIGN VISARGA": "11838",
        "WARANG CITI SMALL LETTER YO": "118C5",
        "WARANG CITI DIGIT THREE": "118E3",
        "DIVES AKURU LETTER KA": "1190C",
        "DIVES AKURU VOWEL SIGN I": "11931",
        "DIVES AKURU DIGIT THREE": "11953",
        "NANDINAGARI LETTER DA": "119BF",
        "NANDINAGARI SIGN SIDDHAM": "119E2",
        "ZANABAZAR SQUARE SUBJOINER": "11A47",
        "SOYOMBO LETTER CA": "11A61",
        "SOYOMBO LETTER JHA": "11A64",
        "SOYOMBO LETTER ZA": "11A79",
        "SOYOMBO LETTER SHA": "11A7F",
        "SOYOMBO LETTER SA": "11A81",
        "SOYOMBO FINAL CONSONANT SIGN K": "11A8B",
        "SOYOMBO FINAL CONSONANT SIGN S": "11A94",
        "SOYOMBO SUBJOINER": "11A99",
        "PAU CIN HAU LETTER VA": "11AC6",
        "PAU CIN HAU LETTER E": "11AD6",
        "PAU CIN HAU LETTER FINAL W": "11AE2",
        "BHAIKSUKI LETTER A": "11C00",
        "BHAIKSUKI LETTER THA": "11C1E",
        "BHAIKSUKI LETTER NA": "11C21",
        "BHAIKSUKI VOWEL SIGN UU": "11C33",
        "MARCHEN LETTER THA": "11C7B",
        "MARCHEN LETTER TSA": "11C82",
        "MARCHEN SUBJOINED LETTER NA": "11C9D",
        "MASARAM GONDI LETTER CA": "11D11",
        "MASARAM GONDI LETTER JHA": "11D14",
        "MASARAM GONDI LETTER DDA": "11D18",
        "MASARAM GONDI LETTER DA": "11D1D",
        "GUNJALA GONDI LETTER II": "11D63",
        "GUNJALA GONDI LETTER UU": "11D65",
        "GUNJALA GONDI LETTER BA": "11D6E",
        "GUNJALA GONDI LETTER DDHA": "11D83",
        "MAKASAR LETTER KA": "11EE0",
        "MAKASAR LETTER TA": "11EE6",
        "TAMIL FRACTION ONE EIGHTH": "11FCC",
        "TAMIL SIGN PATHAKKU": "11FDB",
        "TAMIL DRY CULTIVATION SIGN": "11FE5",
        "TAMIL TOTAL SIGN": "11FED",
        "CUNEIFORM SIGN A TIMES BAD": "12002",
        "CUNEIFORM SIGN AB2 TIMES GAN2 TENU": "12018",
        "CUNEIFORM SIGN AB2 TIMES ME PLUS EN": "12019",
        "CUNEIFORM SIGN ARKAB": "12036",
        "CUNEIFORM SIGN ASAL2": "12037",
        "CUNEIFORM SIGN BAL OVER BAL": "12045",
        "CUNEIFORM SIGN DU SHESHIG": "1207D",
        "CUNEIFORM SIGN E2 TIMES SAL": "12091",
        "CUNEIFORM SIGN EZEN TIMES A PLUS LAL TIMES LAL": "120A4",
        "CUNEIFORM SIGN EZEN TIMES HA": "120A9",
        "CUNEIFORM SIGN EZEN TIMES KASKAL SQUARED": "120AD",
        "CUNEIFORM SIGN GA2 TIMES A PLUS HA": "120B9",
        "CUNEIFORM SIGN GA2 TIMES DIM TIMES SHE": "120C5",
        "CUNEIFORM SIGN GA2 TIMES GAR": "120CC",
        "CUNEIFORM SIGN GA2 TIMES KU3 PLUS AN": "120DC",
        "CUNEIFORM SIGN GA2 TIMES SHE PLUS TUR": "120E6",
        "CUNEIFORM SIGN GAL GAD OVER GAD GAR OVER GAR": "120F3",
        "CUNEIFORM SIGN GI TIMES U": "12102",
        "CUNEIFORM SIGN GIR3 TIMES A PLUS IGI": "1210B",
        "CUNEIFORM SIGN GUL": "12122",
        "CUNEIFORM SIGN HI TIMES ASH2": "1212F",
        "CUNEIFORM SIGN KA TIMES LU": "12173",
        "CUNEIFORM SIGN KA TIMES NE": "1217A",
        "CUNEIFORM SIGN KA TIMES RU": "1217D",
        "CUNEIFORM SIGN KA TIMES UD": "12189",
        "CUNEIFORM SIGN LAGAB": "121B8",
        "CUNEIFORM SIGN LAGAB TIMES SHITA PLUS GISH TENU": "121DE",
        "CUNEIFORM SIGN LU2 TIMES GAN2 TENU": "12202",
        "CUNEIFORM SIGN LU2 TIMES KAD2": "12205",
        "CUNEIFORM SIGN LU2 TIMES NE": "1220C",
        "CUNEIFORM SIGN MUNSUB": "12230",
        "CUNEIFORM SIGN MUSH CROSSING MUSH": "12238",
        "CUNEIFORM SIGN NINDA2 TIMES GUD": "12256",
        "CUNEIFORM SIGN NUN LAGAR TIMES GAR": "12264",
        "CUNEIFORM SIGN NUNUZ AB2 TIMES SILA3": "12276",
        "CUNEIFORM SIGN PA": "1227A",
        "CUNEIFORM SIGN PI TIMES U": "12287",
        "CUNEIFORM SIGN PIRIG OPPOSING PIRIG": "1228E",
        "CUNEIFORM SIGN SAG TIMES USH": "122A6",
        "CUNEIFORM SIGN SHA6": "122B7",
        "CUNEIFORM SIGN SHESH": "122C0",
        "CUNEIFORM SIGN SHIM TIMES A": "122C7",
        "CUNEIFORM SIGN SIK2": "122E0",
        "CUNEIFORM SIGN SU": "122E2",
        "CUNEIFORM SIGN SUD": "122E4",
        "CUNEIFORM SIGN TIR OVER TIR GAD OVER GAD GAR OVER GAR": "12304",
        "CUNEIFORM SIGN TU": "12305",
        "CUNEIFORM SIGN UR2 TIMES U2": "12331",
        "CUNEIFORM SIGN UR2 TIMES U2 PLUS ASH": "12332",
        "CUNEIFORM SIGN URU TIMES GA": "1233C",
        "CUNEIFORM SIGN USHX": "12356",
        "CUNEIFORM SIGN ZE2": "12362",
        "CUNEIFORM SIGN ZI3": "12365",
        "CUNEIFORM SIGN AMAR TIMES KUG": "12372",
        "CUNEIFORM NUMERIC SIGN FIVE GESH2": "12419",
        "CUNEIFORM NUMERIC SIGN FOUR BURU": "12438",
        "CUNEIFORM NUMERIC SIGN TWO BAN2": "12450",
        "CUNEIFORM NUMERIC SIGN FIVE U VARIANT FORM": "1246A",
        "CUNEIFORM SIGN DA TIMES TAK4": "12488",
        "CUNEIFORM SIGN EZEN SHESHIG TIMES LA": "124B0",
        "CUNEIFORM SIGN GA2 TIMES HA PLUS A": "124BE",
        "CUNEIFORM SIGN LAK-081 OVER LAK-081": "124DE",
        "CUNEIFORM SIGN LAK-228": "124E6",
        "CUNEIFORM SIGN LAK-348": "124EC",
        "CUNEIFORM SIGN NINDA2 TIMES URUDA": "1252C",
        "CUNEIFORM SIGN SHE PLUS HUB2": "12533",
        "CUNEIFORM SIGN UR2 INVERTED": "1253C",
        "CUNEIFORM SIGN URU TIMES LU3": "12540",
        "EGYPTIAN HIEROGLYPH A009": "1300B",
        "EGYPTIAN HIEROGLYPH A019": "13017",
        "EGYPTIAN HIEROGLYPH A036": "13029",
        "EGYPTIAN HIEROGLYPH A038": "1302B",
        "EGYPTIAN HIEROGLYPH A066": "1304B",
        "EGYPTIAN HIEROGLYPH C002A": "1305C",
        "EGYPTIAN HIEROGLYPH C003": "1305F",
        "EGYPTIAN HIEROGLYPH E016": "130E3",
        "EGYPTIAN HIEROGLYPH E020A": "130EA",
        "EGYPTIAN HIEROGLYPH E036": "130FB",
        "EGYPTIAN HIEROGLYPH F044": "1312F",
        "EGYPTIAN HIEROGLYPH F047": "13134",
        "EGYPTIAN HIEROGLYPH F051C": "1313C",
        "EGYPTIAN HIEROGLYPH G003": "13141",
        "EGYPTIAN HIEROGLYPH G041": "1316F",
        "EGYPTIAN HIEROGLYPH L001": "131A3",
        "EGYPTIAN HIEROGLYPH M010A": "131BA",
        "EGYPTIAN HIEROGLYPH M016": "131C9",
        "EGYPTIAN HIEROGLYPH M033B": "131E2",
        "EGYPTIAN HIEROGLYPH N015": "131FD",
        "EGYPTIAN HIEROGLYPH N018B": "13202",
        "EGYPTIAN HIEROGLYPH NL002": "13221",
        "EGYPTIAN HIEROGLYPH NL011": "1322B",
        "EGYPTIAN HIEROGLYPH NL013": "1322D",
        "EGYPTIAN HIEROGLYPH NU012": "13243",
        "EGYPTIAN HIEROGLYPH O041": "1328E",
        "EGYPTIAN HIEROGLYPH O043": "13290",
        "EGYPTIAN HIEROGLYPH O045": "13292",
        "EGYPTIAN HIEROGLYPH P006": "132A2",
        "EGYPTIAN HIEROGLYPH Q003": "132AA",
        "EGYPTIAN HIEROGLYPH R006": "132B7",
        "EGYPTIAN HIEROGLYPH S003": "132D4",
        "EGYPTIAN HIEROGLYPH S015": "132E3",
        "EGYPTIAN HIEROGLYPH S017A": "132E6",
        "EGYPTIAN HIEROGLYPH S023": "132EC",
        "EGYPTIAN HIEROGLYPH S026": "132EF",
        "EGYPTIAN HIEROGLYPH S033": "132F8",
        "EGYPTIAN HIEROGLYPH S045": "13305",
        "EGYPTIAN HIEROGLYPH T011A": "13316",
        "EGYPTIAN HIEROGLYPH U033": "13358",
        "EGYPTIAN HIEROGLYPH V002": "1336C",
        "EGYPTIAN HIEROGLYPH V002A": "1336D",
        "EGYPTIAN HIEROGLYPH V007": "13372",
        "EGYPTIAN HIEROGLYPH V012A": "1337D",
        "EGYPTIAN HIEROGLYPH V028": "1339B",
        "EGYPTIAN HIEROGLYPH V035": "133A7",
        "EGYPTIAN HIEROGLYPH V036": "133A8",
        "EGYPTIAN HIEROGLYPH X008": "133D9",
        "EGYPTIAN HIEROGLYPH Z011": "133F6",
        "EGYPTIAN HIEROGLYPH Z015A": "133FB",
        "EGYPTIAN HIEROGLYPH INSERT AT BOTTOM END": "13435",
        "ANATOLIAN HIEROGLYPH A046": "14432",
        "ANATOLIAN HIEROGLYPH A058": "14440",
        "ANATOLIAN HIEROGLYPH A065": "14447",
        "ANATOLIAN HIEROGLYPH A111": "14487",
        "ANATOLIAN HIEROGLYPH A153": "144B4",
        "ANATOLIAN HIEROGLYPH A159": "144BA",
        "ANATOLIAN HIEROGLYPH A163": "144BE",
        "ANATOLIAN HIEROGLYPH A164": "144BF",
        "ANATOLIAN HIEROGLYPH A176": "144CB",
        "ANATOLIAN HIEROGLYPH A179": "144CE",
        "ANATOLIAN HIEROGLYPH A221": "144FE",
        "ANATOLIAN HIEROGLYPH A228": "14506",
        "ANATOLIAN HIEROGLYPH A245": "14517",
        "ANATOLIAN HIEROGLYPH A256": "14522",
        "ANATOLIAN HIEROGLYPH A278": "14539",
        "ANATOLIAN HIEROGLYPH A296": "1454D",
        "ANATOLIAN HIEROGLYPH A297": "1454E",
        "ANATOLIAN HIEROGLYPH A321": "14568",
        "ANATOLIAN HIEROGLYPH A336B": "1457C",
        "ANATOLIAN HIEROGLYPH A340": "14581",
        "ANATOLIAN HIEROGLYPH A347": "14588",
        "ANATOLIAN HIEROGLYPH A386": "145B5",
        "ANATOLIAN HIEROGLYPH A396": "145C0",
        "ANATOLIAN HIEROGLYPH A415": "145D4",
        "ANATOLIAN HIEROGLYPH A424": "145DD",
        "ANATOLIAN HIEROGLYPH A440": "145ED",
        "ANATOLIAN HIEROGLYPH A444": "145F1",
        "ANATOLIAN HIEROGLYPH A448": "145F5",
        "ANATOLIAN HIEROGLYPH A462": "14605",
        "ANATOLIAN HIEROGLYPH A472": "1460F",
        "ANATOLIAN HIEROGLYPH A473": "14610",
        "ANATOLIAN HIEROGLYPH A475": "14612",
        "ANATOLIAN HIEROGLYPH A477": "14614",
        "ANATOLIAN HIEROGLYPH A494": "14625",
        "ANATOLIAN HIEROGLYPH A505": "1462D",
        "ANATOLIAN HIEROGLYPH A520": "1463C",
        "BAMUM LETTER PHASE-A NGKUE MFON": "16800",
        "BAMUM LETTER PHASE-A PON PA NJI PIPAEMBA": "1680A",
        "BAMUM LETTER PHASE-A NTAP NTAA": "16822",
        "BAMUM LETTER PHASE-B SIEE": "16859",
        "BAMUM LETTER PHASE-B MBEURI": "1687E",
        "BAMUM LETTER PHASE-C NDOMBU": "1689D",
        "BAMUM LETTER PHASE-C SEUX": "168AA",
        "BAMUM LETTER PHASE-C NJUEQ": "168AD",
        "BAMUM LETTER PHASE-C NANSANAQ": "168B2",
        "BAMUM LETTER PHASE-C MBUAEM": "168CC",
        "BAMUM LETTER PHASE-C NDAP": "168DA",
        "BAMUM LETTER PHASE-C KEN FATIGUE": "168EA",
        "BAMUM LETTER PHASE-D KWAET": "16921",
        "BAMUM LETTER PHASE-D TEUN": "16941",
        "BAMUM LETTER PHASE-D NTEE": "16959",
        "BAMUM LETTER PHASE-E NGOQ": "16980",
        "BAMUM LETTER PHASE-E NGGEEEE": "1698D",
        "BAMUM LETTER PHASE-E TUMAE": "16999",
        "BAMUM LETTER PHASE-E LEUAEM": "169B3",
        "BAMUM LETTER PHASE-E NZUQ": "169C1",
        "BAMUM LETTER PHASE-E MUAE": "169C6",
        "BAMUM LETTER PHASE-E RAE": "169F0",
        "BAMUM LETTER PHASE-F U": "16A04",
        "BAMUM LETTER PHASE-F RU": "16A23",
        "MRO LETTER PHI": "16A47",
        "MRO DIGIT ONE": "16A61",
        "MRO DOUBLE DANDA": "16A6F",
        "BASSA VAH LETTER GBU": "16ADD",
        "BASSA VAH COMBINING HIGH TONE": "16AF0",
        "PAHAWH HMONG VOWEL KEB": "16B08",
        "PAHAWH HMONG DIGIT SIX": "16B56",
        "PAHAWH HMONG SIGN ZWJ THAJ": "16B67",
        "MEDEFAIDRIN CAPITAL LETTER N": "16E5B",
        "MEDEFAIDRIN SMALL LETTER F": "16E6A",
        "MEDEFAIDRIN SMALL LETTER L": "16E74",
        "MEDEFAIDRIN SMALL LETTER D": "16E79",
        "MEDEFAIDRIN DIGIT SEVEN": "16E87",
        "MEDEFAIDRIN NUMBER TWELVE": "16E8C",
        "MIAO LETTER NNHA": "16F15",
        "MIAO LETTER XA": "16F27",
        "MIAO LETTER WA": "16F42",
        "MIAO VOWEL SIGN WO": "16F5B",
        "MIAO VOWEL SIGN IAN": "16F63",
        "MIAO VOWEL SIGN UANG": "16F6D",
        "MIAO VOWEL SIGN YUI": "16F80",
        "MIAO VOWEL SIGN VW": "16F83",
        "MIAO VOWEL SIGN UI": "16F87",
        "TANGUT ITERATION MARK": "16FE0",
        "TANGUT COMPONENT-007": "18806",
        "TANGUT COMPONENT-053": "18834",
        "TANGUT COMPONENT-065": "18840",
        "TANGUT COMPONENT-066": "18841",
        "TANGUT COMPONENT-077": "1884C",
        "TANGUT COMPONENT-116": "18873",
        "TANGUT COMPONENT-169": "188A8",
        "TANGUT COMPONENT-204": "188CB",
        "TANGUT COMPONENT-209": "188D0",
        "TANGUT COMPONENT-210": "188D1",
        "TANGUT COMPONENT-228": "188E3",
        "TANGUT COMPONENT-231": "188E6",
        "TANGUT COMPONENT-279": "18916",
        "TANGUT COMPONENT-288": "1891F",
        "TANGUT COMPONENT-314": "18939",
        "TANGUT COMPONENT-358": "18965",
        "TANGUT COMPONENT-375": "18976",
        "TANGUT COMPONENT-379": "1897A",
        "TANGUT COMPONENT-416": "1899F",
        "TANGUT COMPONENT-429": "189AC",
        "TANGUT COMPONENT-437": "189B4",
        "TANGUT COMPONENT-456": "189C7",
        "TANGUT COMPONENT-468": "189D3",
        "TANGUT COMPONENT-480": "189DF",
        "TANGUT COMPONENT-482": "189E1",
        "TANGUT COMPONENT-487": "189E6",
        "TANGUT COMPONENT-504": "189F7",
        "TANGUT COMPONENT-515": "18A02",
        "TANGUT COMPONENT-535": "18A16",
        "TANGUT COMPONENT-541": "18A1C",
        "TANGUT COMPONENT-542": "18A1D",
        "TANGUT COMPONENT-554": "18A29",
        "TANGUT COMPONENT-558": "18A2D",
        "TANGUT COMPONENT-585": "18A48",
        "TANGUT COMPONENT-589": "18A4C",
        "TANGUT COMPONENT-592": "18A4F",
        "TANGUT COMPONENT-593": "18A50",
        "TANGUT COMPONENT-647": "18A86",
        "TANGUT COMPONENT-658": "18A91",
        "TANGUT COMPONENT-716": "18ACB",
        "TANGUT COMPONENT-727": "18AD6",
        "KHITAN SMALL SCRIPT CHARACTER-18B11": "18B11",
        "KHITAN SMALL SCRIPT CHARACTER-18B1A": "18B1A",
        "KHITAN SMALL SCRIPT CHARACTER-18B2F": "18B2F",
        "KHITAN SMALL SCRIPT CHARACTER-18B39": "18B39",
        "KHITAN SMALL SCRIPT CHARACTER-18B3E": "18B3E",
        "KHITAN SMALL SCRIPT CHARACTER-18B50": "18B50",
        "KHITAN SMALL SCRIPT CHARACTER-18B5B": "18B5B",
        "KHITAN SMALL SCRIPT CHARACTER-18B66": "18B66",
        "KHITAN SMALL SCRIPT CHARACTER-18B86": "18B86",
        "KHITAN SMALL SCRIPT CHARACTER-18B8D": "18B8D",
        "KHITAN SMALL SCRIPT CHARACTER-18B9C": "18B9C",
        "KHITAN SMALL SCRIPT CHARACTER-18BA0": "18BA0",
        "KHITAN SMALL SCRIPT CHARACTER-18BBC": "18BBC",
        "KHITAN SMALL SCRIPT CHARACTER-18BC3": "18BC3",
        "KHITAN SMALL SCRIPT CHARACTER-18BCA": "18BCA",
        "KHITAN SMALL SCRIPT CHARACTER-18BCC": "18BCC",
        "KHITAN SMALL SCRIPT CHARACTER-18BDF": "18BDF",
        "KHITAN SMALL SCRIPT CHARACTER-18BE1": "18BE1",
        "KHITAN SMALL SCRIPT CHARACTER-18BE9": "18BE9",
        "KHITAN SMALL SCRIPT CHARACTER-18BEF": "18BEF",
        "KHITAN SMALL SCRIPT CHARACTER-18BF8": "18BF8",
        "KHITAN SMALL SCRIPT CHARACTER-18C15": "18C15",
        "KHITAN SMALL SCRIPT CHARACTER-18C4C": "18C4C",
        "KHITAN SMALL SCRIPT CHARACTER-18C4E": "18C4E",
        "KHITAN SMALL SCRIPT CHARACTER-18C64": "18C64",
        "KHITAN SMALL SCRIPT CHARACTER-18C66": "18C66",
        "KHITAN SMALL SCRIPT CHARACTER-18C76": "18C76",
        "KHITAN SMALL SCRIPT CHARACTER-18CC5": "18CC5",
        "HENTAIGANA LETTER KA-9": "1B01F",
        "HENTAIGANA LETTER KU-7": "1B031",
        "HENTAIGANA LETTER KO-2": "1B039",
        "HENTAIGANA LETTER SA-3": "1B03E",
        "HENTAIGANA LETTER SI-2": "1B045",
        "HENTAIGANA LETTER TO-5": "1B07B",
        "HENTAIGANA LETTER HO-7": "1B0C0",
        "HENTAIGANA LETTER RI-3": "1B0F3",
        "HENTAIGANA LETTER WA-3": "1B10A",
        "NUSHU CHARACTER-1B189": "1B189",
        "NUSHU CHARACTER-1B1AB": "1B1AB",
        "NUSHU CHARACTER-1B1F9": "1B1F9",
        "NUSHU CHARACTER-1B1FC": "1B1FC",
        "NUSHU CHARACTER-1B21F": "1B21F",
        "NUSHU CHARACTER-1B235": "1B235",
        "NUSHU CHARACTER-1B23F": "1B23F",
        "NUSHU CHARACTER-1B248": "1B248",
        "NUSHU CHARACTER-1B24E": "1B24E",
        "NUSHU CHARACTER-1B25F": "1B25F",
        "NUSHU CHARACTER-1B276": "1B276",
        "NUSHU CHARACTER-1B2A4": "1B2A4",
        "NUSHU CHARACTER-1B2CF": "1B2CF",
        "NUSHU CHARACTER-1B2D4": "1B2D4",
        "NUSHU CHARACTER-1B2E2": "1B2E2",
        "DUPLOYAN LETTER N M S": "1BC2C",
        "DUPLOYAN LETTER T S": "1BC36",
        "DUPLOYAN LETTER OA": "1BC43",
        "DUPLOYAN AFFIX HIGH CIRCLE": "1BC85",
        "DUPLOYAN AFFIX LOW ACUTE": "1BC90",
        "SHORTHAND FORMAT DOWN STEP": "1BCA2",
        "BYZANTINE MUSICAL SYMBOL YPOKRISIS DIPLI": "1D00B",
        "BYZANTINE MUSICAL SYMBOL PIASMA ARCHAION": "1D026",
        "BYZANTINE MUSICAL SYMBOL TESSERA": "1D031",
        "BYZANTINE MUSICAL SYMBOL TROMIKON ARCHAION": "1D036",
        "BYZANTINE MUSICAL SYMBOL OLIGON NEO": "1D047",
        "BYZANTINE MUSICAL SYMBOL ELAFRON": "1D055",
        "BYZANTINE MUSICAL SYMBOL ANTIKENOKYLISMA": "1D062",
        "BYZANTINE MUSICAL SYMBOL EKSTREPTON": "1D064",
        "BYZANTINE MUSICAL SYMBOL PSIFISTOSYNAGMA": "1D071",
        "BYZANTINE MUSICAL SYMBOL YFEN ANO": "1D07D",
        "BYZANTINE MUSICAL SYMBOL AGOGI POLI ARGI": "1D09A",
        "BYZANTINE MUSICAL SYMBOL DIGRAMMA GG": "1D0E6",
        "BYZANTINE MUSICAL SYMBOL ARKTIKO KE": "1D0ED",
        "MUSICAL SYMBOL DOUBLE BARLINE": "1D101",
        "MUSICAL SYMBOL REPEATED FIGURE-1": "1D10D",
        "MUSICAL SYMBOL SIXTEENTH REST": "1D13F",
        "MUSICAL SYMBOL TRIANGLE NOTEHEAD DOWN WHITE": "1D14E",
        "MUSICAL SYMBOL ONE HUNDRED TWENTY-EIGHTH NOTE": "1D164",
        "MUSICAL SYMBOL COMBINING TREMOLO-1": "1D167",
        "MUSICAL SYMBOL COMBINING FLAG-1": "1D16E",
        "MUSICAL SYMBOL COMBINING ACCENT-STACCATO": "1D181",
        "MUSICAL SYMBOL RINFORZANDO": "1D18C",
        "MUSICAL SYMBOL DAMP": "1D1B4",
        "MUSICAL SYMBOL MINIMA": "1D1BB",
        "GREEK VOCAL NOTATION SYMBOL-11": "1D20A",
        "GREEK VOCAL NOTATION SYMBOL-18": "1D211",
        "GREEK INSTRUMENTAL NOTATION SYMBOL-49": "1D23C",
        "GREEK INSTRUMENTAL NOTATION SYMBOL-53": "1D240",
        "MAYAN NUMERAL EIGHT": "1D2E8",
        "MAYAN NUMERAL ELEVEN": "1D2EB",
        "DIGRAM FOR HEAVENLY EARTH": "1D301",
        "TETRAGRAM FOR DUTIES": "1D320",
        "TETRAGRAM FOR CHANGE": "1D321",
        "TETRAGRAM FOR KINSHIP": "1D327",
        "TETRAGRAM FOR CONSTANCY": "1D338",
        "TETRAGRAM FOR ON THE VERGE": "1D353",
        "MATHEMATICAL BOLD CAPITAL N": "1D40D",
        "MATHEMATICAL BOLD CAPITAL P": "1D40F",
        "MATHEMATICAL BOLD SMALL H": "1D421",
        "MATHEMATICAL ITALIC CAPITAL X": "1D44B",
        "MATHEMATICAL ITALIC SMALL O": "1D45C",
        "MATHEMATICAL ITALIC SMALL W": "1D464",
        "MATHEMATICAL ITALIC SMALL Z": "1D467",
        "MATHEMATICAL BOLD ITALIC CAPITAL J": "1D471",
        "MATHEMATICAL BOLD ITALIC CAPITAL M": "1D474",
        "MATHEMATICAL SCRIPT CAPITAL T": "1D4AF",
        "MATHEMATICAL SCRIPT SMALL K": "1D4C0",
        "MATHEMATICAL SCRIPT SMALL T": "1D4C9",
        "MATHEMATICAL SCRIPT SMALL X": "1D4CD",
        "MATHEMATICAL BOLD SCRIPT CAPITAL H": "1D4D7",
        "MATHEMATICAL BOLD SCRIPT CAPITAL W": "1D4E6",
        "MATHEMATICAL BOLD SCRIPT SMALL B": "1D4EB",
        "MATHEMATICAL BOLD SCRIPT SMALL G": "1D4F0",
        "MATHEMATICAL BOLD SCRIPT SMALL P": "1D4F9",
        "MATHEMATICAL FRAKTUR CAPITAL E": "1D508",
        "MATHEMATICAL FRAKTUR CAPITAL P": "1D513",
        "MATHEMATICAL DOUBLE-STRUCK CAPITAL M": "1D544",
        "MATHEMATICAL DOUBLE-STRUCK SMALL H": "1D559",
        "MATHEMATICAL DOUBLE-STRUCK SMALL P": "1D561",
        "MATHEMATICAL DOUBLE-STRUCK SMALL W": "1D568",
        "MATHEMATICAL BOLD FRAKTUR SMALL X": "1D59D",
        "MATHEMATICAL SANS-SERIF CAPITAL J": "1D5A9",
        "MATHEMATICAL SANS-SERIF CAPITAL K": "1D5AA",
        "MATHEMATICAL SANS-SERIF CAPITAL N": "1D5AD",
        "MATHEMATICAL SANS-SERIF CAPITAL X": "1D5B7",
        "MATHEMATICAL SANS-SERIF CAPITAL Y": "1D5B8",
        "MATHEMATICAL SANS-SERIF SMALL H": "1D5C1",
        "MATHEMATICAL SANS-SERIF SMALL N": "1D5C7",
        "MATHEMATICAL SANS-SERIF SMALL Q": "1D5CA",
        "MATHEMATICAL SANS-SERIF BOLD CAPITAL S": "1D5E6",
        "MATHEMATICAL SANS-SERIF BOLD SMALL C": "1D5F0",
        "MATHEMATICAL SANS-SERIF ITALIC SMALL P": "1D631",
        "MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL U": "1D650",
        "MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL E": "1D65A",
        "MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL L": "1D661",
        "MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL P": "1D665",
        "MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL R": "1D667",
        "MATHEMATICAL MONOSPACE CAPITAL A": "1D670",
        "MATHEMATICAL MONOSPACE CAPITAL F": "1D675",
        "MATHEMATICAL MONOSPACE CAPITAL R": "1D681",
        "MATHEMATICAL MONOSPACE CAPITAL V": "1D685",
        "MATHEMATICAL MONOSPACE SMALL N": "1D697",
        "MATHEMATICAL BOLD CAPITAL NU": "1D6B4",
        "MATHEMATICAL ITALIC SMALL IOTA": "1D704",
        "MATHEMATICAL BOLD ITALIC CAPITAL THETA": "1D723",
        "MATHEMATICAL BOLD ITALIC EPSILON SYMBOL": "1D750",
        "MATHEMATICAL SANS-SERIF BOLD CAPITAL KAPPA": "1D75F",
        "MATHEMATICAL SANS-SERIF BOLD CAPITAL UPSILON": "1D76A",
        "MATHEMATICAL SANS-SERIF BOLD RHO SYMBOL": "1D78E",
        "MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL SIGMA": "1D7A2",
        "MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL XI": "1D7B7",
        "MATHEMATICAL SANS-SERIF DIGIT ONE": "1D7E3",
        "MATHEMATICAL SANS-SERIF BOLD DIGIT ONE": "1D7ED",
        "MATHEMATICAL MONOSPACE DIGIT NINE": "1D7FF",
        "SIGNWRITING HAND-FLAT FOUR FINGERS BENT": "1D845",
        "SIGNWRITING HAND-FLAT HEEL FIVE FINGERS SPREAD FOUR BENT": "1D84F",
        "SIGNWRITING HAND-CUP THUMB SIDE": "1D86F",
        "SIGNWRITING HAND-ANGLE LITTLE INDEX": "1D8A3",
        "SIGNWRITING HAND-HINGE INDEX MIDDLE LITTLE": "1D8A6",
        "SIGNWRITING HAND-FIST INDEX MIDDLE CROSS LITTLE": "1D8A9",
        "SIGNWRITING HAND-HOOK INDEX RING LITTLE OUT": "1D8BD",
        "SIGNWRITING HAND-CLAW MIDDLE RING LITTLE CONJOINED": "1D8D6",
        "SIGNWRITING HAND-CLAW MIDDLE RING LITTLE CONJOINED SIDE": "1D8D7",
        "SIGNWRITING HAND-FIST INDEX THUMB HOOK": "1D8E6",
        "SIGNWRITING HAND-FIST INDEX THUMB CURVE THUMB INSIDE": "1D8E8",
        "SIGNWRITING MOVEMENT-DIAGONAL TOWARDS LARGEST": "1D95C",
        "SIGNWRITING MOVEMENT-DIAGONAL BETWEEN AWAY LARGEST": "1D960",
        "SIGNWRITING MOVEMENT-FLOORPLANE CORNER MEDIUM": "1D975",
        "SIGNWRITING MOVEMENT-WALLPLANE LOOP SMALL DOUBLE": "1D998",
        "SIGNWRITING MOVEMENT-WALLPLANE HUMP HITTING FRONT WALL": "1D9A7",
        "SIGNWRITING MOVEMENT-WALLPLANE WAVE DIAGONAL PATH MEDIUM": "1D9B5",
        "SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING CEILING LARGE TRIPLE": "1D9BC",
        "SIGNWRITING MOVEMENT-FLOORPLANE WRIST CIRCLE HITTING WALL SINGLE": "1D9EF",
        "SIGNWRITING DYNAMIC SIMULTANEOUS ALTERNATING": "1D9FC",
        "SIGNWRITING EYEBROWS STRAIGHT DOWN": "1DA0C",
        "SIGNWRITING EYES HALF OPEN": "1DA19",
        "SIGNWRITING CHEEKS NEUTRAL": "1DA2B",
        "SIGNWRITING TENSE CHEEKS MIDDLE": "1DA2E",
        "SIGNWRITING MOUTH CLOSED CONTACT": "1DA3D",
        "SIGNWRITING MOUTH OPEN FORWARD": "1DA45",
        "SIGNWRITING MOUTH OPEN RECTANGLE WRINKLED": "1DA4B",
        "SIGNWRITING MOUTH KISS WRINKLED": "1DA4F",
        "SIGNWRITING TONGUE STICKING OUT FAR": "1DA59",
        "SIGNWRITING EXCITEMENT": "1DA6C",
        "SIGNWRITING FLOORPLANE SHOULDER HIP MOVE": "1DA70",
        "SIGNWRITING ROTATION MODIFIER-6": "1DAA5",
        "COMBINING GLAGOLITIC LETTER BUKY": "1E001",
        "NYIAKENG PUACHUE HMONG LETTER VA": "1E112",
        "NYIAKENG PUACHUE HMONG LETTER RA": "1E116",
        "NYIAKENG PUACHUE HMONG LETTER OO": "1E129",
        "NYIAKENG PUACHUE HMONG LETTER E": "1E12A",
        "NYIAKENG PUACHUE HMONG DIGIT TWO": "1E142",
        "WANCHO LETTER AA": "1E2C0",
        "WANCHO LETTER FA": "1E2CD",
        "MENDE KIKAKUI SYLLABLE M189 MUEN": "1E81A",
        "MENDE KIKAKUI SYLLABLE M147 O": "1E828",
        "MENDE KIKAKUI SYLLABLE M131 IN": "1E82A",
        "MENDE KIKAKUI SYLLABLE M197 FUA": "1E861",
        "MENDE KIKAKUI SYLLABLE M132 KPI": "1E89F",
        "ADLAM CAPITAL LETTER I": "1E90B",
        "ADLAM CAPITAL LETTER YA": "1E912",
        "ADLAM SMALL LETTER BA": "1E926",
        "ADLAM SMALL LETTER NUN": "1E932",
        "ADLAM SMALL LETTER CHI": "1E937",
        "ADLAM SMALL LETTER TU": "1E93C",
        "ADLAM CONSONANT MODIFIER": "1E948",
        "ADLAM DIGIT FOUR": "1E954",
        "INDIC SIYAQ NUMBER TWENTY": "1EC7B",
        "INDIC SIYAQ NUMBER ONE THOUSAND": "1EC8C",
        "INDIC SIYAQ NUMBER LAKH": "1EC9E",
        "INDIC SIYAQ NUMBER PREFIXED THREE": "1ECA5",
        "OTTOMAN SIYAQ NUMBER FIVE": "1ED05",
        "OTTOMAN SIYAQ NUMBER SIX": "1ED06",
        "OTTOMAN SIYAQ FRACTION ONE HALF": "1ED3C",
        "ARABIC MATHEMATICAL AIN": "1EE0F",
        "ARABIC MATHEMATICAL DAD": "1EE19",
        "ARABIC MATHEMATICAL INITIAL SAD": "1EE31",
        "ARABIC MATHEMATICAL INITIAL TEH": "1EE35",
        "ARABIC MATHEMATICAL INITIAL KHAH": "1EE37",
        "ARABIC MATHEMATICAL LOOPED DAL": "1EE83",
        "ARABIC MATHEMATICAL DOUBLE-STRUCK BEH": "1EEA1",
        "ARABIC MATHEMATICAL DOUBLE-STRUCK WAW": "1EEA5",
        "MAHJONG TILE WINTER": "1F029",
        "DOMINO TILE VERTICAL-02-06": "1F077",
        "DOMINO TILE VERTICAL-05-03": "1F089",
        "PLAYING CARD TWO OF SPADES": "1F0A2",
        "PLAYING CARD KNIGHT OF SPADES": "1F0AC",
        "PLAYING CARD TRUMP-13": "1F0ED",
        "PLAYING CARD TRUMP-20": "1F0F4",
        "DIGIT ZERO COMMA": "1F101",
        "SQUARED LATIN CAPITAL LETTER K": "1F13A",
        "NEGATIVE CIRCLED LATIN CAPITAL LETTER H": "1F157",
        "NEGATIVE CIRCLED LATIN CAPITAL LETTER L": "1F15B",
        "NEGATIVE CIRCLED LATIN CAPITAL LETTER M": "1F15C",
        "NEGATIVE CIRCLED LATIN CAPITAL LETTER P": "1F15F",
        "NEGATIVE CIRCLED LATIN CAPITAL LETTER X": "1F167",
        "SQUARED OK": "1F197",
        "SQUARED VS": "1F19A",
        "SQUARED HI-RES": "1F1A8",
        "REGIONAL INDICATOR SYMBOL LETTER B": "1F1E7",
        "SQUARED CJK UNIFIED IDEOGRAPH-6355": "1F228",
        "SQUARED CJK UNIFIED IDEOGRAPH-5408": "1F234",
        "TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-5B89": "1F243",
        "ROUNDED SYMBOL FOR SHUANGXI": "1F264",
        "BRIDGE AT NIGHT": "1F309",
        "NEW MOON WITH FACE": "1F31A",
        "FULL MOON WITH FACE": "1F31D",
        "SHOOTING STAR": "1F320",
        "HOT PEPPER": "1F336",
        "TEACUP WITHOUT HANDLE": "1F375",
        "JACK-O-LANTERN": "1F383",
        "CAROUSEL HORSE": "1F3A0",
        "MOVIE CAMERA": "1F3A5",
        "SLOT MACHINE": "1F3B0",
        "TRUMPET": "1F3BA",
        "EUROPEAN POST OFFICE": "1F3E4",
        "FACTORY": "1F3ED",
        "ELEPHANT": "1F418",
        "MOUSE FACE": "1F42D",
        "TIGER FACE": "1F42F",
        "DOG FACE": "1F436",
        "THUMBS DOWN SIGN": "1F44E",
        "PERSON WITH BLOND HAIR": "1F471",
        "LIPSTICK": "1F484",
        "BARBER POLE": "1F488",
        "LOVE LETTER": "1F48C",
        "HEART WITH RIBBON": "1F49D",
        "DROPLET": "1F4A7",
        "HEAVY DOLLAR SIGN": "1F4B2",
        "CHART WITH UPWARDS TREND AND YEN SIGN": "1F4B9",
        "PAGE WITH CURL": "1F4C3",
        "BOOKS": "1F4DA",
        "POSTBOX": "1F4EE",
        "MOBILE PHONE OFF": "1F4F4",
        "CLOCK FACE ONE-THIRTY": "1F55C",
        "BOOK": "1F56E",
        "SPIDER WEB": "1F578",
        "WHITE DOWN POINTING LEFT HAND INDEX": "1F597",
        "KEYBOARD AND MOUSE": "1F5A6",
        "EMPTY NOTE PAD": "1F5C7",
        "SPIRAL CALENDAR PAD": "1F5D3",
        "CLOCKWISE RIGHT AND LEFT SEMICIRCLE ARROWS": "1F5D8",
        "SPEAKING HEAD IN SILHOUETTE": "1F5E3",
        "GRINNING FACE": "1F600",
        "FACE THROWING A KISS": "1F618",
        "FEARFUL FACE": "1F628",
        "CAT FACE WITH WRY SMILE": "1F63C",
        "POUTING CAT FACE": "1F63E",
        "TURNED NORTH EAST POINTING LEAF": "1F656",
        "HIGH-SPEED TRAIN WITH BULLET NOSE": "1F685",
        "TRAM CAR": "1F68B",
        "ROWBOAT": "1F6A3",
        "SHOWER": "1F6BF",
        "PASSPORT CONTROL": "1F6C2",
        "AIRPLANE ARRIVING": "1F6EC",
        "ALCHEMICAL SYMBOL FOR AQUAFORTIS": "1F705",
        "ALCHEMICAL SYMBOL FOR IRON ORE": "1F71C",
        "ALCHEMICAL SYMBOL FOR BISMUTH ORE": "1F73E",
        "ALCHEMICAL SYMBOL FOR STRATUM SUPER STRATUM": "1F75C",
        "ALCHEMICAL SYMBOL FOR CRUCIBLE-2": "1F766",
        "ALCHEMICAL SYMBOL FOR MONTH": "1F771",
        "LARGE BLUE SQUARE": "1F7E6",
        "UPWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT": "1F831",
        "RIGHTWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT": "1F832",
        "DOWNWARDS SANS-SERIF ARROW": "1F853",
        "UPWARDS TRIANGLE ARROWHEAD": "1F891",
        "UPWARDS WHITE ARROW WITHIN TRIANGLE ARROWHEAD": "1F895",
        "FACE WITH HEAD-BANDAGE": "1F915",
        "NAUSEATED FACE": "1F922",
        "MODERN PENTATHLON": "1F93B",
        "WRESTLERS": "1F93C",
        "FOX FACE": "1F98A",
        "EMOJI COMPONENT RED HAIR": "1F9B0",
        "EMOJI COMPONENT WHITE HAIR": "1F9B3",
        "CHEESE WEDGE": "1F9C0",
        "FALAFEL": "1F9C6",
        "CHILD": "1F9D2",
        "TEST TUBE": "1F9EA",
        "SPOOL OF THREAD": "1F9F5",
        "BLACK CHESS QUEEN ROTATED NINETY DEGREES": "1FA10",
        "NEUTRAL CHESS TURNED ROOK": "1FA2C",
        "NEUTRAL CHESS EQUIHOPPER ROTATED NINETY DEGREES": "1FA4D",
        "XIANGQI BLACK MANDARIN": "1FA68",
        "MAGIC WAND": "1FA84",
        "PINATA": "1FA85",
        "ACCORDION": "1FA97",
        "BLOCK SEXTANT-1245": "1FB19",
        "BLOCK SEXTANT-256": "1FB2F",
        "BLOCK SEXTANT-456": "1FB35",
        "BLOCK SEXTANT-3456": "1FB39",
        "LOWER RIGHT BLOCK DIAGONAL UPPER MIDDLE LEFT TO UPPER CENTRE": "1FB41",
        "LOWER LEFT BLOCK DIAGONAL UPPER CENTRE TO LOWER MIDDLE RIGHT": "1FB4E",
        "UPPER RIGHT BLOCK DIAGONAL LOWER MIDDLE LEFT TO LOWER RIGHT": "1FB53",
        "VERTICAL ONE EIGHTH BLOCK-4": "1FB72",
        "UPPER ONE QUARTER BLOCK": "1FB82",
        "UPPER LEFT TRIANGULAR MEDIUM SHADE": "1FB9C",
        "BOX DRAWINGS LIGHT DIAGONAL UPPER CENTRE TO MIDDLE RIGHT AND MIDDLE LEFT TO LOWER CENTRE": "1FBA9",
        "WHITE HEAVY SALTIRE WITH ROUNDED CORNERS": "1FBC0",
        "SEGMENTED DIGIT EIGHT": "1FBF8",
        "<CJK Ideograph Extension F, Last>": "2EBE0",
        "CJK COMPATIBILITY IDEOGRAPH-2F80D": "2F80D",
        "CJK COMPATIBILITY IDEOGRAPH-2F811": "2F811",
        "CJK COMPATIBILITY IDEOGRAPH-2F813": "2F813",
        "CJK COMPATIBILITY IDEOGRAPH-2F820": "2F820",
        "CJK COMPATIBILITY IDEOGRAPH-2F85F": "2F85F",
        "CJK COMPATIBILITY IDEOGRAPH-2F860": "2F860",
        "CJK COMPATIBILITY IDEOGRAPH-2F86B": "2F86B",
        "CJK COMPATIBILITY IDEOGRAPH-2F870": "2F870",
        "CJK COMPATIBILITY IDEOGRAPH-2F877": "2F877",
        "CJK COMPATIBILITY IDEOGRAPH-2F887": "2F887",
        "CJK COMPATIBILITY IDEOGRAPH-2F8A1": "2F8A1",
        "CJK COMPATIBILITY IDEOGRAPH-2F8AC": "2F8AC",
        "CJK COMPATIBILITY IDEOGRAPH-2F8DE": "2F8DE",
        "CJK COMPATIBILITY IDEOGRAPH-2F8E8": "2F8E8",
        "CJK COMPATIBILITY IDEOGRAPH-2F8F7": "2F8F7",
        "CJK COMPATIBILITY IDEOGRAPH-2F916": "2F916",
        "CJK COMPATIBILITY IDEOGRAPH-2F926": "2F926",
        "CJK COMPATIBILITY IDEOGRAPH-2F945": "2F945",
        "CJK COMPATIBILITY IDEOGRAPH-2F978": "2F978",
        "CJK COMPATIBILITY IDEOGRAPH-2F9A2": "2F9A2",
        "CJK COMPATIBILITY IDEOGRAPH-2F9B3": "2F9B3",
        "CJK COMPATIBILITY IDEOGRAPH-2F9D7": "2F9D7",
        "CJK COMPATIBILITY IDEOGRAPH-2F9E1": "2F9E1",
        "CJK COMPATIBILITY IDEOGRAPH-2F9F0": "2F9F0",
        "CJK COMPATIBILITY IDEOGRAPH-2FA16": "2FA16",
        "TAG LATIN SMALL LETTER R": "E0072",
        "CANCEL TAG": "E007F",
        "VARIATION SELECTOR-35": "E0112",
        "VARIATION SELECTOR-36": "E0113",
        "VARIATION SELECTOR-52": "E0123",
        "VARIATION SELECTOR-69": "E0134",
        "VARIATION SELECTOR-89": "E0148",
        "VARIATION SELECTOR-120": "E0167",
        "VARIATION SELECTOR-201": "E01B8",
        "VARIATION SELECTOR-249": "E01E8",
        "VARIATION SELECTOR-251": "E01EA",
        "VARIATION SELECTOR-254": "E01ED",
        "VARIATION SELECTOR-256": "E01EF"
    },
    "numerics": {
        "": "0000",
        "0": "0030",
        "1": "0031",
        "2": "0032",
        "3": "0033",
        "4": "0034",
        "5": "0035",
        "6": "0036",
        "7": "0037",
        "8": "0038",
        "9": "0039",
        "1/4": "00BC",
        "1/2": "00BD",
        "3/4": "00BE",
        "1/16": "09F4",
        "1/8": "09F5",
        "3/16": "09F6",
        "16": "09F9",
        "10": "0BF0",
        "100": "0BF1",
        "1000": "0BF2",
        "1/160": "0D58",
        "1/40": "0D59",
        "3/80": "0D5A",
        "1/20": "0D5B",
        "1/10": "0D5C",
        "3/20": "0D5D",
        "1/5": "0D5E",
        "3/2": "0F2B",
        "5/2": "0F2C",
        "7/2": "0F2D",
        "9/2": "0F2E",
        "11/2": "0F2F",
        "13/2": "0F30",
        "15/2": "0F31",
        "17/2": "0F32",
        "-1/2": "0F33",
        "20": "1373",
        "30": "1374",
        "40": "1375",
        "50": "1376",
        "60": "1377",
        "70": "1378",
        "80": "1379",
        "90": "137A",
        "10000": "137C",
        "17": "16EE",
        "18": "16EF",
        "19": "16F0",
        "1/7": "2150",
        "1/9": "2151",
        "1/3": "2153",
        "2/3": "2154",
        "2/5": "2156",
        "3/5": "2157",
        "4/5": "2158",
        "1/6": "2159",
        "5/6": "215A",
        "3/8": "215C",
        "5/8": "215D",
        "7/8": "215E",
        "11": "216A",
        "12": "216B",
        "500": "216E",
        "5000": "2181",
        "50000": "2187",
        "100000": "2188",
        "13": "246C",
        "14": "246D",
        "15": "246E",
        "21": "3251",
        "22": "3252",
        "23": "3253",
        "24": "3254",
        "25": "3255",
        "26": "3256",
        "27": "3257",
        "28": "3258",
        "29": "3259",
        "31": "325B",
        "32": "325C",
        "33": "325D",
        "34": "325E",
        "35": "325F",
        "36": "32B1",
        "37": "32B2",
        "38": "32B3",
        "39": "32B4",
        "41": "32B6",
        "42": "32B7",
        "43": "32B8",
        "44": "32B9",
        "45": "32BA",
        "46": "32BB",
        "47": "32BC",
        "48": "32BD",
        "49": "32BE",
        "200": "1011A",
        "300": "1011B",
        "400": "1011C"
    }
}

for bidir, cp in tests["bidirs"].items():
    assert bidir == unicodedata.bidirectional(chr(int(cp, 16)))

print("bidirectional ok")

for category, cp in tests["categories"].items():
    assert category == unicodedata.category(chr(int(cp, 16)))

print("categories ok")

for comb, cp in tests["combinings"].items():
    assert int(comb) == unicodedata.combining(chr(int(cp, 16)))

print("combining ok")

for decimal, cp in tests["decimals"].items():
    if decimal:
        assert eval(decimal) == unicodedata.decimal(chr(int(cp, 16)))

print("decimals ok")

for decomp, cp in tests["decompositions"].items():
    assert decomp == unicodedata.decomposition(chr(int(cp, 16)))

print("decomposition ok")

for digit, cp in tests["digits"].items():
    if digit:
        assert eval(digit) == unicodedata.digit(chr(int(cp, 16)))

print("digits ok")

for name, cp in tests["names"].items():
    assert name == unicodedata.name(chr(int(cp, 16)))

print("names ok")

for numeric, cp in tests["numerics"].items():
    if numeric:
        assert eval(numeric) == unicodedata.numeric(chr(int(cp, 16)))

print("numeric ok")

assert unicodedata.normalize('NFC', chr(0x2162)) == "Ⅲ"
assert unicodedata.normalize('NFD', chr(0x2162)) == "Ⅲ"
assert unicodedata.normalize('NFKC', chr(0x2162)) == "III"
assert unicodedata.normalize('NFKD', chr(0x2162)) == "III"

print("normalize ok")
